#include "DxLib.h"
extern "C"
{
 __declspec(dllexport) VECTOR __stdcall VGet( float x, float y, float z ) ;
__declspec(dllexport) VECTOR __stdcall VAdd( VECTOR In1, VECTOR In2 ) ;
__declspec(dllexport) VECTOR __stdcall VSub( VECTOR In1, VECTOR In2 ) ;
__declspec(dllexport) float __stdcall VDot( VECTOR In1, VECTOR In2 ) ;
__declspec(dllexport) VECTOR __stdcall VCross( VECTOR In1, VECTOR In2 ) ;
__declspec(dllexport) VECTOR __stdcall VScale( VECTOR In, float Scale ) ;
__declspec(dllexport) float __stdcall VSquareSize( VECTOR In ) ;
__declspec(dllexport) VECTOR __stdcall VTransform( VECTOR InV, MATRIX InM ) ;
__declspec(dllexport) VECTOR __stdcall VTransformSR( VECTOR InV, MATRIX InM ) ;
__declspec(dllexport) int  __stdcall dx_DxLib_Init( void);
__declspec(dllexport) int  __stdcall dx_DxLib_End( void);
__declspec(dllexport) int  __stdcall dx_DxLib_GlobalStructInitialize( void);
__declspec(dllexport) int  __stdcall dx_DxLib_IsInit( void);
__declspec(dllexport) BOOL  __stdcall dx_ErrorLogAdd( const char *  ErrorStr);
__declspec(dllexport) BOOL  __stdcall dx_ErrorLogTabAdd( void);
__declspec(dllexport) BOOL  __stdcall dx_ErrorLogTabSub( void);
__declspec(dllexport) BOOL  __stdcall dx_SetUseTimeStampFlag( int  UseFlag);
__declspec(dllexport) void * __stdcall dx_DxAlloc( size_t AllocSize , const char * File = NULL , int Line = -1 ) ;
__declspec(dllexport) void * __stdcall dx_DxCalloc( size_t AllocSize , const char * File = NULL , int Line = -1 ) ;
__declspec(dllexport) void * __stdcall dx_DxRealloc( void * Memory , size_t AllocSize , const char * File = NULL , int Line = -1 ) ;
__declspec(dllexport) void __stdcall dx_DxFree_2( void * Memory ) ;
__declspec(dllexport) size_t __stdcall dx_DxSetAllocSizeTrap( size_t Size ) ;
__declspec(dllexport) int  __stdcall dx_DxSetAllocPrintFlag( int  Flag);
__declspec(dllexport) size_t __stdcall dx_DxGetAllocSize( void );
__declspec(dllexport) void  __stdcall dx_DxDumpAlloc( void);
__declspec(dllexport) int  __stdcall dx_DxErrorCheckAlloc( void);
__declspec(dllexport) int  __stdcall dx_DxSetAllocSizeOutFlag( int  Flag);
__declspec(dllexport) int  __stdcall dx_DxSetAllocMemoryErrorCheckFlag( int  Flag);
__declspec(dllexport) int  __stdcall dx_SetLogDrawOutFlag( int  DrawFlag);
__declspec(dllexport) int  __stdcall dx_GetLogDrawFlag( void);
__declspec(dllexport) int  __stdcall dx_clsDx( void);
__declspec(dllexport) int  __stdcall dx_FileRead_open( const char *  FilePath, int  ASync = FALSE);
__declspec(dllexport) int  __stdcall dx_FileRead_size( const char *  FilePath);
__declspec(dllexport) int  __stdcall dx_FileRead_close( int  FileHandle);
__declspec(dllexport) int  __stdcall dx_FileRead_tell( int  FileHandle);
__declspec(dllexport) int  __stdcall dx_FileRead_seek( int  FileHandle, int  Offset, int  Origin);
__declspec(dllexport) int __stdcall dx_FileRead_read_2( void * Buffer , int ReadSize , int FileHandle ) ;
__declspec(dllexport) int  __stdcall dx_FileRead_idle_chk( int  FileHandle);
__declspec(dllexport) int  __stdcall dx_FileRead_eof( int  FileHandle);
__declspec(dllexport) int  __stdcall dx_FileRead_gets( char *  Buffer, int  BufferSize, int  FileHandle);
__declspec(dllexport) int  __stdcall dx_FileRead_getc( int  FileHandle);
__declspec(dllexport) int  __stdcall dx_FileRead_createInfo( const char *  ObjectPath);
__declspec(dllexport) int  __stdcall dx_FileRead_getInfoNum( int  FileInfoHandle);
__declspec(dllexport) int __stdcall dx_FileRead_getInfo_2( int Index , FILEINFO * Buffer , int FileInfoHandle ) ;
__declspec(dllexport) int  __stdcall dx_FileRead_deleteInfo( int  FileInfoHandle);
__declspec(dllexport) int __stdcall dx_FileRead_findFirst_2( const char * FilePath , FILEINFO * Buffer ) ;
__declspec(dllexport) int __stdcall dx_FileRead_findNext_2( int FindHandle , FILEINFO * Buffer ) ;
__declspec(dllexport) int __stdcall dx_FileRead_findClose_2( int FindHandle ) ;
__declspec(dllexport) int __stdcall dx_GetResourceInfo_2( const char * ResourceName , const char * ResourceType , void * * DataPointerP , int * DataSizeP ) ;
__declspec(dllexport) int  __stdcall dx_ProcessMessage( void);
__declspec(dllexport) int  __stdcall dx_GetWindowCRect( RECT *  RectBuf);
__declspec(dllexport) int  __stdcall dx_GetWindowActiveFlag( void);
__declspec(dllexport) HWND __stdcall dx_GetMainWindowHandle( void );
__declspec(dllexport) int  __stdcall dx_GetDefaultState( int *  SizeX, int *  SizeY, int *  ColorBitDepth);
__declspec(dllexport) int  __stdcall dx_GetActiveFlag( void);
__declspec(dllexport) int  __stdcall dx_GetNoActiveState( int  ResetFlag = TRUE);
__declspec(dllexport) int  __stdcall dx_GetMouseDispFlag( void);
__declspec(dllexport) int  __stdcall dx_GetAlwaysRunFlag( void);
__declspec(dllexport) int  __stdcall dx__GetSystemInfo( int *  DxLibVer, int *  DirectXVer, int *  WindowsVer);
__declspec(dllexport) int  __stdcall dx_GetPcInfo( char *  OSString, char *  DirectXString, char *  CPUString, int *  CPUSpeed, double *  FreeMemorySize, double *  TotalMemorySize, char *  VideoDriverFileName, char *  VideoDriverString, double *  FreeVideoMemorySize, double *  TotalVideoMemorySize);
__declspec(dllexport) int  __stdcall dx_GetUseMMXFlag( void);
__declspec(dllexport) int  __stdcall dx_GetUseSSEFlag( void);
__declspec(dllexport) int  __stdcall dx_GetUseSSE2Flag( void);
__declspec(dllexport) int  __stdcall dx_GetWindowCloseFlag( void);
__declspec(dllexport) HINSTANCE __stdcall dx_GetTaskInstance( void );
__declspec(dllexport) int __stdcall dx_GetWindowSizeChangeEnableFlag_2( int * FitScreen = NULL ) ;
__declspec(dllexport) double __stdcall dx_GetWindowSizeExtendRate( void );
__declspec(dllexport) int  __stdcall dx_GetWindowPosition( int *  x, int *  y);
__declspec(dllexport) int  __stdcall dx_GetWindowUserCloseFlag( int  StateResetFlag = FALSE);
__declspec(dllexport) int  __stdcall dx_GetNotDrawFlag( void);
__declspec(dllexport) int  __stdcall dx_GetPaintMessageFlag( void);
__declspec(dllexport) int  __stdcall dx_GetValidHiPerformanceCounter( void);
__declspec(dllexport) int  __stdcall dx_ChangeWindowMode( int  Flag);
__declspec(dllexport) int  __stdcall dx_LoadPauseGraph( const char *  FileName);
__declspec(dllexport) int __stdcall dx_LoadPauseGraphFromMem_2( void * MemImage , int MemImageSize ) ;
__declspec(dllexport) int __stdcall dx_SetActiveStateChangeCallBackFunction_2( int ( *CallBackFunction )( int ActiveState , void * UserData ) , void * UserData ) ;
__declspec(dllexport) int  __stdcall dx_SetWindowText( const char *  WindowText);
__declspec(dllexport) int  __stdcall dx_SetMainWindowText( const char *  WindowText);
__declspec(dllexport) int  __stdcall dx_SetMainWindowClassName( const char *  ClassName);
__declspec(dllexport) int  __stdcall dx_SetOutApplicationLogValidFlag( int  Flag);
__declspec(dllexport) int  __stdcall dx_SetAlwaysRunFlag( int  Flag);
__declspec(dllexport) int  __stdcall dx_SetWindowIconID( int  ID);
__declspec(dllexport) int __stdcall dx_SetUseASyncChangeWindowModeFunction_2( int Flag , void ( *CallBackFunction )( void * ) , void * Data ) ;
__declspec(dllexport) int  __stdcall dx_SetWindowStyleMode( int  Mode);
__declspec(dllexport) int  __stdcall dx_SetWindowSizeChangeEnableFlag( int  Flag, int  FitScreen = TRUE);
__declspec(dllexport) int  __stdcall dx_SetWindowSizeExtendRate( double  ExRate);
__declspec(dllexport) int  __stdcall dx_SetWindowSize( int  Width, int  Height);
__declspec(dllexport) int  __stdcall dx_SetWindowPosition( int  x, int  y);
__declspec(dllexport) int  __stdcall dx_SetSysCommandOffFlag( int  Flag, const char *  HookDllPath = NULL);
__declspec(dllexport) int __stdcall dx_SetHookWinProc_2( WNDPROC WinProc ) ;
__declspec(dllexport) int  __stdcall dx_SetDoubleStartValidFlag( int  Flag);
__declspec(dllexport) int __stdcall dx_AddMessageTakeOverWindow_2( HWND Window ) ;
__declspec(dllexport) int __stdcall dx_SubMessageTakeOverWindow_2( HWND Window ) ;
__declspec(dllexport) int  __stdcall dx_SetWindowInitPosition( int  x, int  y);
__declspec(dllexport) int  __stdcall dx_SetNotWinFlag( int  Flag);
__declspec(dllexport) int  __stdcall dx_SetNotDrawFlag( int  Flag);
__declspec(dllexport) int  __stdcall dx_SetNotSoundFlag( int  Flag);
__declspec(dllexport) int  __stdcall dx_SetNotInputFlag( int  Flag);
__declspec(dllexport) int __stdcall dx_SetDialogBoxHandle_2( HWND WindowHandle ) ;
__declspec(dllexport) int __stdcall dx_ChangeStreamFunction_2( STREAMDATASHREDTYPE2 * StreamThread ) ;
__declspec(dllexport) int  __stdcall dx_GetStreamFunctionDefault( void);
__declspec(dllexport) int  __stdcall dx_SetWindowVisibleFlag( int  Flag);
__declspec(dllexport) int  __stdcall dx_SetWindowUserCloseEnableFlag( int  Flag);
__declspec(dllexport) int  __stdcall dx_SetDxLibEndPostQuitMessageFlag( int  Flag);
__declspec(dllexport) int __stdcall dx_SetUserWindow_2( HWND WindowHandle ) ;
__declspec(dllexport) int  __stdcall dx_SetUserWindowMessageProcessDXLibFlag( int  Flag);
__declspec(dllexport) int  __stdcall dx_SetUseDXArchiveFlag( int  Flag);
__declspec(dllexport) int  __stdcall dx_SetDXArchiveExtension( const char *  Extension = NULL);
__declspec(dllexport) int  __stdcall dx_SetDXArchiveKeyString( const char *  KeyString = NULL);
__declspec(dllexport) int  __stdcall dx_SetUseDateNameLogFile( int  Flag);
__declspec(dllexport) int  __stdcall dx_SetBackgroundColor( int  Red, int  Green, int  Blue);
__declspec(dllexport) int  __stdcall dx_SetLogFontSize( int  Size);
__declspec(dllexport) int  __stdcall dx_SetUseFPUPreserveFlag( int  Flag);
__declspec(dllexport) int  __stdcall dx_SetValidMousePointerWindowOutClientAreaMoveFlag( int  Flag);
__declspec(dllexport) int  __stdcall dx_GetClipboardText( char *  DestBuffer);
__declspec(dllexport) int  __stdcall dx_SetClipboardText( const char *  Text);
__declspec(dllexport) int  __stdcall dx_SetDragFileValidFlag( int  Flag);
__declspec(dllexport) int  __stdcall dx_DragFileInfoClear( void);
__declspec(dllexport) int  __stdcall dx_GetDragFilePath( char *  FilePathBuffer);
__declspec(dllexport) int  __stdcall dx_GetDragFileNum( void);
__declspec(dllexport) HRGN __stdcall dx_CreateRgnFromGraph( int Width , int Height , void * MaskData , int Pitch , int Byte ) ;
__declspec(dllexport) int  __stdcall dx_SetWindowRgnGraph( const char *  FileName);
__declspec(dllexport) int  __stdcall dx_SetupToolBar( const char *  BitmapName, int  DivNum, int  ResourceID = -1);
__declspec(dllexport) int  __stdcall dx_AddToolBarButton( int  Type, int  State, int  ImageIndex, int  ID);
__declspec(dllexport) int  __stdcall dx_AddToolBarSep( void);
__declspec(dllexport) int  __stdcall dx_GetToolBarButtonState( int  ID);
__declspec(dllexport) int  __stdcall dx_SetToolBarButtonState( int  ID, int  State);
__declspec(dllexport) int  __stdcall dx_DeleteAllToolBarButton( void);
__declspec(dllexport) int  __stdcall dx_SetUseMenuFlag( int  Flag);
__declspec(dllexport) int  __stdcall dx_SetUseKeyAccelFlag( int  Flag);
__declspec(dllexport) int  __stdcall dx_AddKeyAccel( const char *  ItemName, int  ItemID, int  KeyCode, int  CtrlFlag, int  AltFlag, int  ShiftFlag);
__declspec(dllexport) int  __stdcall dx_AddKeyAccel_Name( const char *  ItemName, int  KeyCode, int  CtrlFlag, int  AltFlag, int  ShiftFlag);
__declspec(dllexport) int  __stdcall dx_AddKeyAccel_ID( int  ItemID, int  KeyCode, int  CtrlFlag, int  AltFlag, int  ShiftFlag);
__declspec(dllexport) int  __stdcall dx_ClearKeyAccel( void);
__declspec(dllexport) int  __stdcall dx_AddMenuItem( int  AddType, const char *  ItemName, int  ItemID, int  SeparatorFlag, const char *  NewItemName = NULL, int  NewItemID = -1);
__declspec(dllexport) int  __stdcall dx_DeleteMenuItem( const char *  ItemName, int  ItemID);
__declspec(dllexport) int  __stdcall dx_CheckMenuItemSelect( const char *  ItemName, int  ItemID);
__declspec(dllexport) int  __stdcall dx_SetMenuItemEnable( const char *  ItemName, int  ItemID, int  EnableFlag);
__declspec(dllexport) int  __stdcall dx_SetMenuItemMark( const char *  ItemName, int  ItemID, int  Mark);
__declspec(dllexport) int  __stdcall dx_CheckMenuItemSelectAll( void);
__declspec(dllexport) int  __stdcall dx_AddMenuItem_Name( const char *  ParentItemName, const char *  NewItemName);
__declspec(dllexport) int  __stdcall dx_AddMenuLine_Name( const char *  ParentItemName);
__declspec(dllexport) int  __stdcall dx_InsertMenuItem_Name( const char *  ItemName, const char *  NewItemName);
__declspec(dllexport) int  __stdcall dx_InsertMenuLine_Name( const char *  ItemName);
__declspec(dllexport) int  __stdcall dx_DeleteMenuItem_Name( const char *  ItemName);
__declspec(dllexport) int  __stdcall dx_CheckMenuItemSelect_Name( const char *  ItemName);
__declspec(dllexport) int  __stdcall dx_SetMenuItemEnable_Name( const char *  ItemName, int  EnableFlag);
__declspec(dllexport) int  __stdcall dx_SetMenuItemMark_Name( const char *  ItemName, int  Mark);
__declspec(dllexport) int  __stdcall dx_AddMenuItem_ID( int  ParentItemID, const char *  NewItemName, int  NewItemID = -1);
__declspec(dllexport) int  __stdcall dx_AddMenuLine_ID( int  ParentItemID);
__declspec(dllexport) int  __stdcall dx_InsertMenuItem_ID( int  ItemID, int  NewItemID);
__declspec(dllexport) int  __stdcall dx_InsertMenuLine_ID( int  ItemID, int  NewItemID);
__declspec(dllexport) int  __stdcall dx_DeleteMenuItem_ID( int  ItemID);
__declspec(dllexport) int  __stdcall dx_CheckMenuItemSelect_ID( int  ItemID);
__declspec(dllexport) int  __stdcall dx_SetMenuItemEnable_ID( int  ItemID, int  EnableFlag);
__declspec(dllexport) int  __stdcall dx_SetMenuItemMark_ID( int  ItemID, int  Mark);
__declspec(dllexport) int  __stdcall dx_DeleteMenuItemAll( void);
__declspec(dllexport) int  __stdcall dx_ClearMenuItemSelect( void);
__declspec(dllexport) int  __stdcall dx_GetMenuItemID( const char *  ItemName);
__declspec(dllexport) int  __stdcall dx_GetMenuItemName( int  ItemID, char *  NameBuffer);
__declspec(dllexport) int  __stdcall dx_LoadMenuResource( int  MenuResourceID);
__declspec(dllexport) int __stdcall dx_SetMenuItemSelectCallBackFunction_2( void ( *CallBackFunction )( const char * ItemName , int ItemID ) ) ;
__declspec(dllexport) int __stdcall dx_SetWindowMenu_2( int MenuID , int ( *MenuProc )( WORD ID ) ) ;
__declspec(dllexport) int  __stdcall dx_SetDisplayMenuFlag( int  Flag);
__declspec(dllexport) int  __stdcall dx_GetDisplayMenuFlag( void);
__declspec(dllexport) int  __stdcall dx_GetUseMenuFlag( void);
__declspec(dllexport) int  __stdcall dx_SetAutoMenuDisplayFlag( int  Flag);
__declspec(dllexport) int  __stdcall dx_SetMouseDispFlag( int  DispFlag);
__declspec(dllexport) int  __stdcall dx_GetMousePoint( int *  XBuf, int *  YBuf);
__declspec(dllexport) int  __stdcall dx_SetMousePoint( int  PointX, int  PointY);
__declspec(dllexport) int  __stdcall dx_GetMouseInput( void);
__declspec(dllexport) int  __stdcall dx_GetMouseWheelRotVol( int  CounterReset = TRUE);
__declspec(dllexport) int  __stdcall dx_WaitTimer( int  WaitTime);
__declspec(dllexport) int  __stdcall dx_WaitKey( void);
__declspec(dllexport) int  __stdcall dx_GetNowCount( int  UseRDTSCFlag = FALSE);
__declspec(dllexport) LONGLONG __stdcall dx_GetNowHiPerformanceCount( int UseRDTSCFlag = FALSE ) ;
__declspec(dllexport) int  __stdcall dx_GetDateTime( DATEDATA *  DateBuf);
__declspec(dllexport) int  __stdcall dx_GetRand( int  RandMax);
__declspec(dllexport) int  __stdcall dx_SRand( int  Seed);
__declspec(dllexport) int  __stdcall dx_ProcessNetMessage( int  RunReleaseProcess = FALSE);
__declspec(dllexport) int  __stdcall dx_GetHostIPbyName( const char *  HostName, IPDATA *  IPDataBuf);
__declspec(dllexport) int  __stdcall dx_ConnectNetWork( IPDATA  IPData, int  Port = -1);
__declspec(dllexport) int  __stdcall dx_PreparationListenNetWork( int  Port = -1);
__declspec(dllexport) int  __stdcall dx_StopListenNetWork( void);
__declspec(dllexport) int  __stdcall dx_CloseNetWork( int  NetHandle);
__declspec(dllexport) int  __stdcall dx_GetNetWorkAcceptState( int  NetHandle);
__declspec(dllexport) int  __stdcall dx_GetNetWorkDataLength( int  NetHandle);
__declspec(dllexport) int  __stdcall dx_GetNetWorkSendDataLength( int  NetHandle);
__declspec(dllexport) int  __stdcall dx_GetNewAcceptNetWork( void);
__declspec(dllexport) int  __stdcall dx_GetLostNetWork( void);
__declspec(dllexport) int  __stdcall dx_GetNetWorkIP( int  NetHandle, IPDATA *  IpBuf);
__declspec(dllexport) int  __stdcall dx_GetMyIPAddress( IPDATA *  IpBuf);
__declspec(dllexport) int  __stdcall dx_SetConnectTimeOutWait( int  Time);
__declspec(dllexport) int  __stdcall dx_SetUseDXNetWorkProtocol( int  Flag);
__declspec(dllexport) int  __stdcall dx_GetUseDXNetWorkProtocol( void);
__declspec(dllexport) int  __stdcall dx_SetUseDXProtocol( int  Flag);
__declspec(dllexport) int  __stdcall dx_GetUseDXProtocol( void);
__declspec(dllexport) int  __stdcall dx_SetNetWorkCloseAfterLostFlag( int  Flag);
__declspec(dllexport) int  __stdcall dx_GetNetWorkCloseAfterLostFlag( void);
__declspec(dllexport) int  __stdcall dx_SetProxySetting( int  UseFlag, char *  Address, int  Port);
__declspec(dllexport) int  __stdcall dx_GetProxySetting( int *  UseFlagBuffer, char *  AddressBuffer, int *  PortBuffer);
__declspec(dllexport) int  __stdcall dx_SetIEProxySetting( void);
__declspec(dllexport) int __stdcall dx_NetWorkRecv_2( int NetHandle , void * Buffer , int Length ) ;
__declspec(dllexport) int __stdcall dx_NetWorkRecvToPeek_2( int NetHandle , void * Buffer , int Length ) ;
__declspec(dllexport) int  __stdcall dx_NetWorkRecvBufferClear( int  NetHandle);
__declspec(dllexport) int __stdcall dx_NetWorkSend_2( int NetHandle , void * Buffer , int Length ) ;
__declspec(dllexport) int  __stdcall dx_StockInputChar( char  CharCode);
__declspec(dllexport) int  __stdcall dx_ClearInputCharBuf( void);
__declspec(dllexport) char __stdcall dx_GetInputChar( int DeleteFlag ) ;
__declspec(dllexport) char __stdcall dx_GetInputCharWait( int DeleteFlag ) ;
__declspec(dllexport) int  __stdcall dx_GetOneChar( char *  CharBuffer, int  DeleteFlag);
__declspec(dllexport) int  __stdcall dx_GetOneCharWait( char *  CharBuffer, int  DeleteFlag);
__declspec(dllexport) int  __stdcall dx_GetCtrlCodeCmp( char  Char);
__declspec(dllexport) int  __stdcall dx_DrawIMEInputString( int  x, int  y, int  SelectStringNum);
__declspec(dllexport) int  __stdcall dx_SetUseIMEFlag( int  UseFlag);
__declspec(dllexport) int  __stdcall dx_SetInputStringMaxLengthIMESync( int  Flag);
__declspec(dllexport) int  __stdcall dx_SetIMEInputStringMaxLength( int  Length);
__declspec(dllexport) int  __stdcall dx_GetStringPoint( const char *  String, int  Point);
__declspec(dllexport) int  __stdcall dx_GetStringPoint2( const char *  String, int  Point);
__declspec(dllexport) int  __stdcall dx_DrawObtainsString( int  x, int  y, int  AddY, const char *  String, int  StrColor, int  StrEdgeColor = 0, int  FontHandle = -1, int  SelectBackColor = -1, int  SelectStrColor = 0, int  SelectStrEdgeColor = -1, int  SelectStart = -1, int  SelectEnd = -1);
__declspec(dllexport) int  __stdcall dx_DrawObtainsBox( int  x1, int  y1, int  x2, int  y2, int  AddY, int  Color, int  FillFlag);
__declspec(dllexport) int  __stdcall dx_InputStringToCustom( int  x, int  y, int  BufLength, char *  StrBuffer, int  CancelValidFlag, int  SingleCharOnlyFlag, int  NumCharOnlyFlag);
__declspec(dllexport) int  __stdcall dx_KeyInputString( int  x, int  y, int  CharMaxLength, char *  StrBuffer, int  CancelValidFlag);
__declspec(dllexport) int  __stdcall dx_KeyInputSingleCharString( int  x, int  y, int  CharMaxLength, char *  StrBuffer, int  CancelValidFlag);
__declspec(dllexport) int  __stdcall dx_KeyInputNumber( int  x, int  y, int  MaxNum, int  MinNum, int  CancelValidFlag);
__declspec(dllexport) int  __stdcall dx_GetIMEInputModeStr( char *  GetBuffer);
__declspec(dllexport) IMEINPUTDATA * __stdcall dx_GetIMEInputData( void );
__declspec(dllexport) int  __stdcall dx_SetKeyInputStringFont( int  FontHandle);
__declspec(dllexport) int  __stdcall dx_DrawKeyInputModeString( int  x, int  y);
__declspec(dllexport) int  __stdcall dx_InitKeyInput( void);
__declspec(dllexport) int  __stdcall dx_MakeKeyInput( int  MaxStrLength, int  CancelValidFlag, int  SingleCharOnlyFlag, int  NumCharOnlyFlag);
__declspec(dllexport) int  __stdcall dx_DeleteKeyInput( int  InputHandle);
__declspec(dllexport) int  __stdcall dx_SetActiveKeyInput( int  InputHandle);
__declspec(dllexport) int  __stdcall dx_GetActiveKeyInput( void);
__declspec(dllexport) int  __stdcall dx_CheckKeyInput( int  InputHandle);
__declspec(dllexport) int  __stdcall dx_ReStartKeyInput( int  InputHandle);
__declspec(dllexport) int  __stdcall dx_ProcessActKeyInput( void);
__declspec(dllexport) int  __stdcall dx_DrawKeyInputString( int  x, int  y, int  InputHandle);
__declspec(dllexport) int  __stdcall dx_SetKeyInputSelectArea( int  SelectStart, int  SelectEnd, int  InputHandle);
__declspec(dllexport) int  __stdcall dx_GetKeyInputSelectArea( int *  SelectStart, int *  SelectEnd, int  InputHandle);
__declspec(dllexport) int  __stdcall dx_SetKeyInputDrawStartPos( int  DrawStartPos, int  InputHandle);
__declspec(dllexport) int  __stdcall dx_GetKeyInputDrawStartPos( int  InputHandle);
__declspec(dllexport) int  __stdcall dx_SetKeyInputCursorBrinkTime( int  Time);
__declspec(dllexport) int  __stdcall dx_SetKeyInputCursorBrinkFlag( int  Flag);
__declspec(dllexport) int  __stdcall dx_SetKeyInputString( const char *  String, int  InputHandle);
__declspec(dllexport) int  __stdcall dx_SetKeyInputNumber( int  Number, int  InputHandle);
__declspec(dllexport) int  __stdcall dx_SetKeyInputNumberToFloat( float  Number, int  InputHandle);
__declspec(dllexport) int  __stdcall dx_GetKeyInputString( char *  StrBuffer, int  InputHandle);
__declspec(dllexport) int  __stdcall dx_GetKeyInputNumber( int  InputHandle);
__declspec(dllexport) float  __stdcall dx_GetKeyInputNumberToFloat( int  InputHandle);
__declspec(dllexport) int  __stdcall dx_SetKeyInputCursorPosition( int  Position, int  InputHandle);
__declspec(dllexport) int  __stdcall dx_GetKeyInputCursorPosition( int  InputHandle);
__declspec(dllexport) void * __stdcall dx_MemStreamOpen( void * DataBuffer , unsigned int DataSize ) ;
__declspec(dllexport) int __stdcall dx_MemStreamClose_2( void * StreamDataPoint ) ;
__declspec(dllexport) int  __stdcall dx_CheckHitKey( int  KeyCode);
__declspec(dllexport) int  __stdcall dx_CheckHitKeyAll( int  CheckType = DX_CHECKINPUT_ALL);
__declspec(dllexport) int  __stdcall dx_GetHitKeyStateAll( DX_CHAR *  KeyStateBuf);
__declspec(dllexport) int  __stdcall dx_SetKeyExclusiveCooperativeLevelFlag( int  Flag);
__declspec(dllexport) int  __stdcall dx_GetJoypadNum( void);
__declspec(dllexport) int  __stdcall dx_GetJoypadInputState( int  InputType);
__declspec(dllexport) int  __stdcall dx_GetJoypadAnalogInput( int *  XBuf, int *  YBuf, int  InputType);
__declspec(dllexport) int  __stdcall dx_GetJoypadAnalogInputRight( int *  XBuf, int *  YBuf, int  InputType);
__declspec(dllexport) int  __stdcall dx_KeyboradBufferProcess( void);
__declspec(dllexport) int __stdcall dx_GetJoypadGUID_2( int PadIndex , GUID * GuidBuffer ) ;
__declspec(dllexport) int  __stdcall dx_ConvertKeyCodeToVirtualKey( int  KeyCode);
__declspec(dllexport) int  __stdcall dx_SetJoypadInputToKeyInput( int  InputType, int  PadInput, int  KeyInput1, int  KeyInput2 = -1, int  KeyInput3 = -1, int  KeyInput4 = -1);
__declspec(dllexport) int  __stdcall dx_SetJoypadDeadZone( int  InputType, double  Zone);
__declspec(dllexport) int  __stdcall dx_StartJoypadVibration( int  InputType, int  Power, int  Time);
__declspec(dllexport) int  __stdcall dx_StopJoypadVibration( int  InputType);
__declspec(dllexport) int  __stdcall dx_GetJoypadPOVState( int  InputType, int  POVNumber);
__declspec(dllexport) int  __stdcall dx_GetJoypadName( int  InputType, char *  InstanceNameBuffer, char *  ProductNameBuffer);
__declspec(dllexport) int  __stdcall dx_ReSetupJoypad( void);
__declspec(dllexport) int  __stdcall dx_SetKeyboardNotDirectInputFlag( int  Flag);
__declspec(dllexport) int  __stdcall dx_SetUseDirectInputFlag( int  Flag);
__declspec(dllexport) int  __stdcall dx_Set2D3DKyouzonFlag( int  Flag);
__declspec(dllexport) int  __stdcall dx_SetNotUse3DFlag( int  Flag);
__declspec(dllexport) int  __stdcall dx_SetBasicBlendFlag( int  Flag);
__declspec(dllexport) int  __stdcall dx_SetScreenMemToVramFlag( int  Flag);
__declspec(dllexport) int  __stdcall dx_SetUseSoftwareRenderModeFlag( int  Flag);
__declspec(dllexport) int  __stdcall dx_SetUseDirectDrawFlag( int  Flag);
__declspec(dllexport) int  __stdcall dx_SetUseGDIFlag( int  Flag);
__declspec(dllexport) int __stdcall dx_SetDDrawUseGuid_2( GUID * Guid ) ;
__declspec(dllexport) int  __stdcall dx_SetDisplayRefreshRate( int  RefreshRate);
__declspec(dllexport) int  __stdcall dx_SetMultiThreadFlag( int  Flag);
__declspec(dllexport) int  __stdcall dx_SetUseDirectDrawDeviceIndex( int  Index);
__declspec(dllexport) int  __stdcall dx_SetUseTempFrontScreen( int  Flag);
__declspec(dllexport) int  __stdcall dx_GetDrawScreenSize( int *  XBuf, int *  YBuf);
__declspec(dllexport) int  __stdcall dx_GetScreenBitDepth( void);
__declspec(dllexport) int  __stdcall dx_GetBmpSurf3DRenderingValidState( int  BmpIndex);
__declspec(dllexport) void * __stdcall dx_GetDrawTargetSurface( void );
__declspec(dllexport) void * __stdcall dx_GetBackSurface( void );
__declspec(dllexport) int  __stdcall dx_GetDesktopDrawCmp( void);
__declspec(dllexport) void * __stdcall dx_GetUseDDrawObj( void );
__declspec(dllexport) int  __stdcall dx_GetColorBitDepth( void);
__declspec(dllexport) int  __stdcall dx_GetChangeDisplayFlag( void);
__declspec(dllexport) COLORDATA * __stdcall dx_GetDispColorData( void );
__declspec(dllexport) int  __stdcall dx_GetScreenMemToSystemMemFlag( void);
__declspec(dllexport) const D_DDPIXELFORMAT * __stdcall dx_GetOverlayPixelFormat( void );
__declspec(dllexport) int  __stdcall dx_GetVideoMemorySize( int *  AllSize, int *  FreeSize);
__declspec(dllexport) int  __stdcall dx_GetUseGDIFlag( void);
__declspec(dllexport) int  __stdcall dx_GetNotDraw3DFlag( void);
__declspec(dllexport) HDC __stdcall dx_GetDrawScreenDC( void );
__declspec(dllexport) GUID * __stdcall dx_GetDirectDrawDeviceGUID( int Number ) ;
__declspec(dllexport) int  __stdcall dx_GetDirectDrawDeviceDescription( int  Number, char *  StringBuffer);
__declspec(dllexport) int  __stdcall dx_GetDirectDrawDeviceNum( void);
__declspec(dllexport) int  __stdcall dx_GetUseMEMIMGFlag( void);
__declspec(dllexport) int  __stdcall dx_GetVSyncTime( void);
__declspec(dllexport) int  __stdcall dx_GetRefreshRate( void);
__declspec(dllexport) int  __stdcall dx_GetDisplayModeNum( void);
__declspec(dllexport) DISPLAYMODEDATA __stdcall dx_GetDisplayMode( int ModeIndex ) ;
__declspec(dllexport) int  __stdcall dx_SetPalette( int  PalIndex, int  Red, int  Green, int  Blue);
__declspec(dllexport) int  __stdcall dx_ReflectionPalette( void);
__declspec(dllexport) int  __stdcall dx_GetPalette( int  PalIndex, int *  Red, int *  Green, int *  Blue);
__declspec(dllexport) int  __stdcall dx_SetBmpPal( const char *  FileName);
__declspec(dllexport) int  __stdcall dx_SetBmpPalPart( const char *  FileName, int  StartNum, int  GetNum, int  SetNum);
__declspec(dllexport) int  __stdcall dx_GetGraphPalette( int  GrHandle, int  ColorIndex, int *  Red, int *  Green, int *  Blue);
__declspec(dllexport) int  __stdcall dx_GetGraphOriginalPalette( int  GrHandle, int  ColorIndex, int *  Red, int *  Green, int *  Blue);
__declspec(dllexport) int  __stdcall dx_SetGraphPalette( int  GrHandle, int  ColorIndex, int  Color);
__declspec(dllexport) int  __stdcall dx_ResetGraphPalette( int  GrHandle);
__declspec(dllexport) int  __stdcall dx_GetPixel( int  x, int  y);
__declspec(dllexport) int  __stdcall dx_Paint( int  x, int  y, int  FillColor, int  BoundaryColor = -1);
__declspec(dllexport) int __stdcall dx_BltFastOrBitBlt_2( D_IDirectDrawSurface7 * Dest , D_IDirectDrawSurface7 * Src , int DestX , int DestY , RECT * SrcRect , int BltType = -1 ) ;
__declspec(dllexport) int  __stdcall dx_WaitVSync( int  SyncNum);
__declspec(dllexport) int  __stdcall dx_ScreenFlip( void);
__declspec(dllexport) int  __stdcall dx_ScreenCopy( RECT *  CopyRect = NULL);
__declspec(dllexport) int  __stdcall dx_GraphCopy( RECT *  SrcRect, RECT *  DestRect, int  SrcHandle, int  DestHandle = DX_SCREEN_BACK);
__declspec(dllexport) int  __stdcall dx_SetGraphMode( int  ScreenSizeX, int  ScreenSizeY, int  ColorBitDepth, int  RefreshRate = 60);
__declspec(dllexport) int  __stdcall dx_SaveDrawScreen( int  x1, int  y1, int  x2, int  y2, const char *  FileName, int  SaveType = DX_IMAGESAVETYPE_BMP, int  Jpeg_Quality = 80, int  Jpeg_Sample2x1 = TRUE, int  Png_CompressionLevel = -1);
__declspec(dllexport) int  __stdcall dx_SaveDrawScreenToBMP( int  x1, int  y1, int  x2, int  y2, const char *  FileName);
__declspec(dllexport) int  __stdcall dx_SaveDrawScreenToJPEG( int  x1, int  y1, int  x2, int  y2, const char *  FileName, int  Quality = 80, int  Sample2x1 = TRUE);
__declspec(dllexport) int  __stdcall dx_SaveDrawScreenToPNG( int  x1, int  y1, int  x2, int  y2, const char *  FileName, int  CompressionLevel = -1);
__declspec(dllexport) D_IDirect3DDevice7 * __stdcall dx_GetUseD3DDevObj( void );
__declspec(dllexport) int  __stdcall dx_SetUseMaxTextureSize( int  Size);
__declspec(dllexport) int  __stdcall dx_SetUseVertexBufferFlag( int  Flag);
__declspec(dllexport) int  __stdcall dx_SetUseOldDrawModiGraphCodeFlag( int  Flag);
__declspec(dllexport) D_DDPIXELFORMAT * __stdcall dx_GetTexPixelFormat( int AlphaCh , int AlphaTest , int ColorBitDepth , int DrawValid = FALSE ) ;
__declspec(dllexport) COLORDATA * __stdcall dx_GetTexColorData( int AlphaCh , int AlphaTest , int ColorBitDepth , int DrawValid = FALSE ) ;
__declspec(dllexport) D_DDPIXELFORMAT * __stdcall dx_GetTexPixelFormat_2( IMAGEFORMATDESC * Format ) ;
__declspec(dllexport) COLORDATA * __stdcall dx_GetTexColorData_2( IMAGEFORMATDESC * Format ) ;
__declspec(dllexport) D_DDPIXELFORMAT * __stdcall dx_GetTexPixelFormat_3( int FormatIndex ) ;
__declspec(dllexport) COLORDATA * __stdcall dx_GetTexColorData_3( int FormatIndex ) ;
__declspec(dllexport) D_DDPIXELFORMAT * __stdcall dx_GetZBufferPixelFormat( int BitDepth ) ;
__declspec(dllexport) int  __stdcall dx_MakeGraph( int  SizeX, int  SizeY, int  NotUse3DFlag = FALSE);
__declspec(dllexport) int  __stdcall dx_MakeScreen( int  SizeX, int  SizeY);
__declspec(dllexport) int  __stdcall dx_DeleteGraph( int  GrHandle, int  LogOutFlag = FALSE);
__declspec(dllexport) int  __stdcall dx_GetGraphNum( void);
__declspec(dllexport) int  __stdcall dx_SetGraphLostFlag( int  GrHandle, int *  LostFlag);
__declspec(dllexport) int  __stdcall dx_InitGraph( int  LogOutFlag = FALSE);
__declspec(dllexport) int __stdcall dx_BltBmpToGraph_2( COLORDATA * SrcColor , HBITMAP Bmp , HBITMAP AlphaMask , const char * GraphName , int CopyPointX , int CopyPointY , int GrHandle , int ReverseFlag ) ;
__declspec(dllexport) int __stdcall dx_BltBmpToDivGraph_2( COLORDATA * SrcColor , HBITMAP Bmp , HBITMAP AlphaMask , const char * GraphName , int AllNum , int XNum , int YNum , int Width , int Height , int * GrHandle , int ReverseFlag ) ;
__declspec(dllexport) int __stdcall dx_BltBmpOrGraphImageToGraph_2( COLORDATA * SrcColorData , HBITMAP Bmp , HBITMAP AlphaMask , const char * GraphName , int BmpFlag , BASEIMAGE * RgbImage , BASEIMAGE * AlphaImage , int CopyPointX , int CopyPointY , int GrHandle , int ReverseFlag ) ;
__declspec(dllexport) int __stdcall dx_BltBmpOrGraphImageToGraph2_2( COLORDATA * SrcColorData , HBITMAP Bmp , HBITMAP AlphaMask , const char * GraphName , int BmpFlag , BASEIMAGE * RgbImage , BASEIMAGE * AlphaImage , RECT * SrcRect , int DestX , int DestY , int GrHandle , int ReverseFlag ) ;
__declspec(dllexport) int __stdcall dx_BltBmpOrGraphImageToDivGraph_2( COLORDATA * SrcColor , HBITMAP Bmp , HBITMAP AlphaMask , const char * GraphName , int BmpFlag , BASEIMAGE * RgbImage , BASEIMAGE * AlphaImage , int AllNum , int XNum , int YNum , int Width , int Height , int * GrHandle , int ReverseFlag ) ;
__declspec(dllexport) int  __stdcall dx_OpenMovieToOverlay( const char *  FileName);
__declspec(dllexport) int  __stdcall dx_UpdateMovieToOverlay( int  x, int  y, int  ExRate, int  ShowFlag, int  MovieHandle);
__declspec(dllexport) int  __stdcall dx_CloseMovieToOverlay( int  MovieHandle);
__declspec(dllexport) int  __stdcall dx_ReloadFileGraphAll( void);
__declspec(dllexport) int  __stdcall dx_SetGraphTransColor( int  GrHandle, int  Red, int  Green, int  Blue);
__declspec(dllexport) int  __stdcall dx_RestoreGraph( int  GrHandle);
__declspec(dllexport) int  __stdcall dx_AllRestoreGraph( void);
__declspec(dllexport) int  __stdcall dx_ClearDrawScreen( void);
__declspec(dllexport) int  __stdcall dx_ClsDrawScreen( void);
__declspec(dllexport) int  __stdcall dx_LoadGraphScreen( int  x, int  y, const char *  GraphName, int  TransFlag);
__declspec(dllexport) int  __stdcall dx_DrawGraph( int  x, int  y, int  GrHandle, int  TransFlag);
__declspec(dllexport) int  __stdcall dx_DrawGraphF( float  xf, float  yf, int  GrHandle, int  TransFlag);
__declspec(dllexport) int  __stdcall dx_DrawExtendGraph( int  x1, int  y1, int  x2, int  y2, int  GrHandle, int  TransFlag);
__declspec(dllexport) int  __stdcall dx_DrawExtendGraphF( float  x1f, float  y1f, float  x2f, float  y2, int  GrHandle, int  TransFlag);
__declspec(dllexport) int  __stdcall dx_DrawRotaGraph( int  x, int  y, double  ExRate, double  Angle, int  GrHandle, int  TransFlag, int  TurnFlag = FALSE);
__declspec(dllexport) int  __stdcall dx_DrawRotaGraphF( float  xf, float  yf, double  ExRate, double  Angle, int  GrHandle, int  TransFlag, int  TurnFlag = FALSE);
__declspec(dllexport) int  __stdcall dx_DrawRotaGraph2( int  x, int  y, int  cx, int  cy, double  ExtRate, double  Angle, int  GrHandle, int  TransFlag, int  TurnFlag = FALSE);
__declspec(dllexport) int  __stdcall dx_DrawRotaGraph2F( float  xf, float  yf, float  cxf, float  cyf, double  ExtRate, double  Angle, int  GrHandle, int  TransFlag, int  TurnFlag = FALSE);
__declspec(dllexport) int  __stdcall dx_DrawModiGraph( int  x1, int  y1, int  x2, int  y2, int  x3, int  y3, int  x4, int  y4, int  GrHandle, int  TransFlag);
__declspec(dllexport) int  __stdcall dx_DrawModiGraphF( float  x1, float  y1, float  x2, float  y2, float  x3, float  y3, float  x4, float  y4, int  GrHandle, int  TransFlag);
__declspec(dllexport) int  __stdcall dx_DrawTurnGraph( int  x, int  y, int  GrHandle, int  TransFlag);
__declspec(dllexport) int  __stdcall dx_DrawTurnGraphF( float  xf, float  yf, int  GrHandle, int  TransFlag);
__declspec(dllexport) int __stdcall dx_DrawChipMap_2( int Sx , int Sy , int XNum , int YNum , int * MapData , int ChipTypeNum , int MapDataPitch , int * GrHandle , int TransFlag ) ;
__declspec(dllexport) int __stdcall dx_DrawChipMap_4( int MapWidth , int MapHeight , int * MapData , int ChipTypeNum , int * ChipGrHandle , int TransFlag , int MapDrawPointX , int MapDrawPointY , int MapDrawWidth , int MapDrawHeight , int ScreenX , int ScreenY ) ;
__declspec(dllexport) int  __stdcall dx_DrawTile( int  x1, int  y1, int  x2, int  y2, int  Tx, int  Ty, double  ExtRate, double  Angle, int  GrHandle, int  TransFlag);
__declspec(dllexport) int  __stdcall dx_DrawRectGraph( int  DestX, int  DestY, int  SrcX, int  SrcY, int  Width, int  Height, int  GraphHandle, int  TransFlag, int  TurnFlag);
__declspec(dllexport) int  __stdcall dx_DrawRectExtendGraph( int  DestX1, int  DestY1, int  DestX2, int  DestY2, int  SrcX, int  SrcY, int  SrcWidth, int  SrcHeight, int  GraphHandle, int  TransFlag);
__declspec(dllexport) int  __stdcall dx_DrawRectRotaGraph( int  X, int  Y, int  SrcX, int  SrcY, int  Width, int  Height, double  ExtRate, double  Angle, int  GraphHandle, int  TransFlag, int  TurnFlag);
__declspec(dllexport) int  __stdcall dx_DrawBlendGraph( int  x, int  y, int  GrHandle, int  TransFlag, int  BlendGraph, int  BorderParam, int  BorderRange);
__declspec(dllexport) int  __stdcall dx_DrawBlendGraphPos( int  x, int  y, int  GrHandle, int  TransFlag, int  bx, int  by, int  BlendGraph, int  BorderParam, int  BorderRange);
__declspec(dllexport) int  __stdcall dx_DrawCircleGauge( int  CenterX, int  CenterY, double  Percent, int  GrHandle);
__declspec(dllexport) int  __stdcall dx_DrawGraphToZBuffer( int  X, int  Y, int  GrHandle, int  WriteZMode);
__declspec(dllexport) int  __stdcall dx_DrawTurnGraphToZBuffer( int  x, int  y, int  GrHandle, int  WriteZMode);
__declspec(dllexport) int  __stdcall dx_DrawExtendGraphToZBuffer( int  x1, int  y1, int  x2, int  y2, int  GrHandle, int  WriteZMode);
__declspec(dllexport) int  __stdcall dx_DrawRotaGraphToZBuffer( int  x, int  y, double  ExRate, double  Angle, int  GrHandle, int  WriteZMode, int  TurnFlag = FALSE);
__declspec(dllexport) int  __stdcall dx_DrawModiGraphToZBuffer( int  x1, int  y1, int  x2, int  y2, int  x3, int  y3, int  x4, int  y4, int  GrHandle, int  WriteZMode);
__declspec(dllexport) int  __stdcall dx_DrawBoxToZBuffer( int  x1, int  y1, int  x2, int  y2, int  FillFlag, int  WriteZMode);
__declspec(dllexport) int  __stdcall dx_DrawCircleToZBuffer( int  x, int  y, int  r, int  FillFlag, int  WriteZMode);
__declspec(dllexport) int  __stdcall dx_DrawPolygonBase( VERTEX *  Vertex, int  VertexNum, int  PrimitiveType, int  GrHandle, int  TransFlag, int  UVScaling = FALSE);
__declspec(dllexport) int  __stdcall dx_DrawPolygon( VERTEX *  Vertex, int  PolygonNum, int  GrHandle, int  TransFlag, int  UVScaling = FALSE);
__declspec(dllexport) int  __stdcall dx_DrawPrimitive3D( VERTEX3D *  Vertex, int  VertexNum, int  PrimitiveType, int  GrHandle, int  TransFlag);
__declspec(dllexport) int  __stdcall dx_DrawPrimitiveIndexed3D( VERTEX3D *  Vertex, int  VertexNum, unsigned short *  Indices, int  IndexNum, int  PrimitiveType, int  GrHandle, int  TransFlag);
__declspec(dllexport) int  __stdcall dx_DrawPolygon3D( VERTEX3D *  Vertex, int  PolygonNum, int  GrHandle, int  TransFlag);
__declspec(dllexport) int  __stdcall dx_DrawPolygonIndexed3D( VERTEX3D *  Vertex, int  VertexNum, unsigned short *  Indices, int  PolygonNum, int  GrHandle, int  TransFlag);
__declspec(dllexport) int  __stdcall dx_DrawPolygon3DBase( VERTEX_3D *  Vertex, int  VertexNum, int  PrimitiveType, int  GrHandle, int  TransFlag);
__declspec(dllexport) int  __stdcall dx_DrawPolygon3D_2( VERTEX_3D *  Vertex, int  PolygonNum, int  GrHandle, int  TransFlag);
__declspec(dllexport) int  __stdcall dx_DrawGraph3D( float  x, float  y, float  z, int  GrHandle, int  TransFlag);
__declspec(dllexport) int  __stdcall dx_DrawExtendGraph3D( float  x, float  y, float  z, double  ExRateX, double  ExRateY, int  GrHandle, int  TransFlag);
__declspec(dllexport) int  __stdcall dx_DrawRotaGraph3D( float  x, float  y, float  z, double  ExRate, double  Angle, int  GrHandle, int  TransFlag, int  TurnFlag = FALSE);
__declspec(dllexport) int  __stdcall dx_DrawRota2Graph3D( float  x, float  y, float  z, float  cx, float  cy, double  ExtRateX, double  ExtRateY, double  Angle, int  GrHandle, int  TransFlag, int  TurnFlag = FALSE);
__declspec(dllexport) int  __stdcall dx_DrawModiBillboard3D( VECTOR  Pos, float  x1, float  y1, float  x2, float  y2, float  x3, float  y3, float  x4, float  y4, int  GrHandle, int  TransFlag);
__declspec(dllexport) int  __stdcall dx_DrawBillboard3D( VECTOR  Pos, float  cx, float  cy, float  Size, float  Angle, int  GrHandle, int  TransFlag, int  TurnFlag = FALSE);
__declspec(dllexport) int  __stdcall dx_FillGraph( int  GrHandle, int  Red, int  Green, int  Blue, int  Alpha = 255);
__declspec(dllexport) int  __stdcall dx_DrawLine( int  x1, int  y1, int  x2, int  y2, int  Color, int  Thickness = 1);
__declspec(dllexport) int  __stdcall dx_DrawBox( int  x1, int  y1, int  x2, int  y2, int  Color, int  FillFlag);
__declspec(dllexport) int  __stdcall dx_DrawFillBox( int  x1, int  y1, int  x2, int  y2, int  Color);
__declspec(dllexport) int  __stdcall dx_DrawLineBox( int  x1, int  y1, int  x2, int  y2, int  Color);
__declspec(dllexport) int  __stdcall dx_DrawCircle( int  x, int  y, int  r, int  Color, int  FillFlag = TRUE);
__declspec(dllexport) int  __stdcall dx_DrawOval( int  x, int  y, int  rx, int  ry, int  Color, int  FillFlag);
__declspec(dllexport) int  __stdcall dx_DrawTriangle( int  x1, int  y1, int  x2, int  y2, int  x3, int  y3, int  Color, int  FillFlag);
__declspec(dllexport) int  __stdcall dx_DrawQuadrangle( int  x1, int  y1, int  x2, int  y2, int  x3, int  y3, int  x4, int  y4, int  Color, int  FillFlag);
__declspec(dllexport) int  __stdcall dx_DrawPixel( int  x, int  y, int  Color);
__declspec(dllexport) int  __stdcall dx_DrawPixelSet( POINTDATA *  PointData, int  Num);
__declspec(dllexport) int  __stdcall dx_DrawLineSet( LINEDATA *  LineData, int  Num);
__declspec(dllexport) int  __stdcall dx_DrawLine3D( VECTOR  Pos1, VECTOR  Pos2, int  Color);
__declspec(dllexport) int  __stdcall dx_DrawTriangle3D( VECTOR  Pos1, VECTOR  Pos2, VECTOR  Pos3, int  Color, int  FillFlag);
__declspec(dllexport) int  __stdcall dx_DrawCube3D( VECTOR  Pos1, VECTOR  Pos2, int  DifColor, int  SpcColor, int  FillFlag);
__declspec(dllexport) int  __stdcall dx_DrawSphere3D( VECTOR  CenterPos, float  r, int  DivNum, int  DifColor, int  SpcColor, int  FillFlag);
__declspec(dllexport) int  __stdcall dx_DrawCapsule3D( VECTOR  Pos1, VECTOR  Pos2, float  r, int  DivNum, int  DifColor, int  SpcColor, int  FillFlag);
__declspec(dllexport) int  __stdcall dx_DrawCone3D( VECTOR  TopPos, VECTOR  BottomPos, float  r, int  DivNum, int  DifColor, int  SpcColor, int  FillFlag);
__declspec(dllexport) int  __stdcall dx_DrawString( int  x, int  y, const char *  String, int  Color, int  EdgeColor = 0);
__declspec(dllexport) int  __stdcall dx_DrawVString( int  x, int  y, const char *  String, int  Color, int  EdgeColor = 0);
__declspec(dllexport) int  __stdcall dx_DrawStringToHandle( int  x, int  y, const char *  String, int  Color, int  FontHandle, int  EdgeColor = 0, int  VerticalFlag = FALSE);
__declspec(dllexport) int  __stdcall dx_DrawVStringToHandle( int  x, int  y, const char *  String, int  Color, int  FontHandle, int  EdgeColor = 0);
__declspec(dllexport) int  __stdcall dx_DrawExtendString( int  x, int  y, double  ExRateX, double  ExRateY, const char *  String, int  Color, int  EdgeColor = 0);
__declspec(dllexport) int  __stdcall dx_DrawExtendVString( int  x, int  y, double  ExRateX, double  ExRateY, const char *  String, int  Color, int  EdgeColor = 0);
__declspec(dllexport) int  __stdcall dx_DrawExtendStringToHandle( int  x, int  y, double  ExRateX, double  ExRateY, const char *  String, int  Color, int  FontHandle, int  EdgeColor = 0, int  VerticalFlag = FALSE);
__declspec(dllexport) int  __stdcall dx_DrawExtendVStringToHandle( int  x, int  y, double  ExRateX, double  ExRateY, const char *  String, int  Color, int  FontHandle, int  EdgeColor = 0);
__declspec(dllexport) int  __stdcall dx_DrawNumberToI( int  x, int  y, int  Num, int  RisesNum, int  Color, int  EdgeColor = 0);
__declspec(dllexport) int  __stdcall dx_DrawNumberToF( int  x, int  y, double  Num, int  Length, int  Color, int  EdgeColor = 0);
__declspec(dllexport) int  __stdcall dx_DrawNumberPlusToI( int  x, int  y, const char *  NoteString, int  Num, int  RisesNum, int  Color, int  EdgeColor = 0);
__declspec(dllexport) int  __stdcall dx_DrawNumberPlusToF( int  x, int  y, const char *  NoteString, double  Num, int  Length, int  Color, int  EdgeColor = 0);
__declspec(dllexport) int  __stdcall dx_DrawNumberToIToHandle( int  x, int  y, int  Num, int  RisesNum, int  Color, int  FontHandle, int  EdgeColor = 0);
__declspec(dllexport) int  __stdcall dx_DrawNumberToFToHandle( int  x, int  y, double  Num, int  Length, int  Color, int  FontHandle, int  EdgeColor = 0);
__declspec(dllexport) int  __stdcall dx_DrawNumberPlusToIToHandle( int  x, int  y, const char *  NoteString, int  Num, int  RisesNum, int  Color, int  FontHandle, int  EdgeColor = 0);
__declspec(dllexport) int  __stdcall dx_DrawNumberPlusToFToHandle( int  x, int  y, const char *  NoteString, double  Num, int  Length, int  Color, int  FontHandle, int  EdgeColor = 0);
__declspec(dllexport) int  __stdcall dx_SetDrawMode( int  DrawMode);
__declspec(dllexport) int  __stdcall dx_SetMaxAnisotropy( int  MaxAnisotropy);
__declspec(dllexport) int  __stdcall dx_SetDrawBlendMode( int  BlendMode, int  BlendParam);
__declspec(dllexport) int  __stdcall dx_SetBlendGraph( int  BlendGraph, int  BorderParam, int  BorderRange);
__declspec(dllexport) int  __stdcall dx_SetBlendGraphPosition( int  x, int  y);
__declspec(dllexport) int  __stdcall dx_SetDrawBright( int  RedBright, int  GreenBright, int  BlueBright);
__declspec(dllexport) int  __stdcall dx_SetDrawScreen( int  DrawScreen);
__declspec(dllexport) int  __stdcall dx_SetDrawArea( int  x1, int  y1, int  x2, int  y2);
__declspec(dllexport) int  __stdcall dx_SetUse3DFlag( int  Flag);
__declspec(dllexport) int  __stdcall dx_SetUseHardwareVertexProcessing( int  Flag);
__declspec(dllexport) int __stdcall dx_SetRestoreShredPoint_2( void ( *ShredPoint )( void ) ) ;
__declspec(dllexport) int __stdcall dx_SetRestoreGraphCallback_2( void ( *Callback )( void ) ) ;
__declspec(dllexport) int  __stdcall dx_RunRestoreShred( void);
__declspec(dllexport) int  __stdcall dx_SetTransformToWorld( MATRIX *  Matrix);
__declspec(dllexport) int  __stdcall dx_SetTransformToView( MATRIX *  Matrix);
__declspec(dllexport) int  __stdcall dx_SetTransformToProjection( MATRIX *  Matrix);
__declspec(dllexport) int  __stdcall dx_SetTransformToViewport( MATRIX *  Matrix);
__declspec(dllexport) int  __stdcall dx_SetUseCullingFlag( int  Flag);
__declspec(dllexport) int  __stdcall dx_SetUseBackCulling( int  Flag);
__declspec(dllexport) int  __stdcall dx_SetTextureAddressMode( int  Mode, int  Stage = -1);
__declspec(dllexport) int  __stdcall dx_SetTextureAddressModeUV( int  ModeU, int  ModeV, int  Stage = -1);
__declspec(dllexport) int  __stdcall dx_SetTextureAddressTransform( float  TransU, float  TransV, float  ScaleU, float  ScaleV, float  RotCenterU, float  RotCenterV, float  Rotate);
__declspec(dllexport) int  __stdcall dx_SetTextureAddressTransformMatrix( MATRIX  Matrix);
__declspec(dllexport) int  __stdcall dx_ResetTextureAddressTransform( void);
__declspec(dllexport) int  __stdcall dx_SetFogEnable( int  Flag);
__declspec(dllexport) int  __stdcall dx_SetFogMode( int  Mode);
__declspec(dllexport) int  __stdcall dx_SetFogColor( int  r, int  g, int  b);
__declspec(dllexport) int  __stdcall dx_SetFogStartEnd( float  start, float  end);
__declspec(dllexport) int  __stdcall dx_SetFogDensity( float  density);
__declspec(dllexport) int  __stdcall dx_SetUseSystemMemGraphCreateFlag( int  Flag);
__declspec(dllexport) int  __stdcall dx_SetUseVramFlag( int  Flag);
__declspec(dllexport) int  __stdcall dx_RestoreGraphSystem( void);
__declspec(dllexport) int  __stdcall dx_GetDrawScreenGraph( int  x1, int  y1, int  x2, int  y2, int  GrHandle, int  UseClientFlag = TRUE);
__declspec(dllexport) DWORD * __stdcall dx_GetFullColorImage( int GrHandle ) ;
__declspec(dllexport) int __stdcall dx_GraphLock_2( int GrHandle , int * PitchBuf , void * * DataPointBuf , COLORDATA * * ColorDataPP = NULL ) ;
__declspec(dllexport) int  __stdcall dx_GraphUnLock( int  GrHandle);
__declspec(dllexport) int  __stdcall dx_SetUseGraphZBuffer( int  GrHandle, int  UseFlag);
__declspec(dllexport) int  __stdcall dx_GetGraphSize( int  GrHandle, int *  SizeXBuf, int *  SizeYBuf);
__declspec(dllexport) int  __stdcall dx_GetScreenState( int *  SizeX, int *  SizeY, int *  ColorBitDepth);
__declspec(dllexport) int  __stdcall dx_GetUse3DFlag( void);
__declspec(dllexport) int  __stdcall dx_GetValidRestoreShredPoint( void);
__declspec(dllexport) char * __stdcall dx_GetResourceIDString( int ResourceID ) ;
__declspec(dllexport) int  __stdcall dx_GetTransformToViewMatrix( MATRIX *  MatBuf);
__declspec(dllexport) int  __stdcall dx_GetTransformToWorldMatrix( MATRIX *  MatBuf);
__declspec(dllexport) int  __stdcall dx_GetTransformToProjectionMatrix( MATRIX *  MatBuf);
__declspec(dllexport) int  __stdcall dx_GetTransformPosition( VECTOR *  LocalPos, float *  x, float *  y);
__declspec(dllexport) VECTOR  __stdcall dx_ConvWorldPosToScreenPos( VECTOR  WorldPos);
__declspec(dllexport) VECTOR  __stdcall dx_ConvScreenPosToWorldPos( VECTOR  ScreenPos);
__declspec(dllexport) int  __stdcall dx_GetUseVramFlag( void);
__declspec(dllexport) int  __stdcall dx_GetCreateGraphColorData( COLORDATA *  ColorData, IMAGEFORMATDESC *  Format);
__declspec(dllexport) int __stdcall dx_CreateDXGraph_2( BASEIMAGE * RgbImage , BASEIMAGE * AlphaImage , int TextureFlag ) ;
__declspec(dllexport) int  __stdcall dx_DerivationGraph( int  SrcX, int  SrcY, int  Width, int  Height, int  SrcGraphHandle);
__declspec(dllexport) int  __stdcall dx_PlayMovie( const char *  FileName, int  ExRate, int  PlayType);
__declspec(dllexport) int  __stdcall dx_OpenMovieToGraph( const char *  FileName, int  FullColor = TRUE);
__declspec(dllexport) int  __stdcall dx_PlayMovieToGraph( int  GraphHandle, int  PlayType = DX_PLAYTYPE_BACK, int  SysPlay = 0);
__declspec(dllexport) int  __stdcall dx_PauseMovieToGraph( int  GraphHandle, int  SysPause = 0);
__declspec(dllexport) int  __stdcall dx_AddMovieFrameToGraph( int  GraphHandle, unsigned int  FrameNum);
__declspec(dllexport) int  __stdcall dx_SeekMovieToGraph( int  GraphHandle, int  Time);
__declspec(dllexport) int  __stdcall dx_GetMovieStateToGraph( int  GraphHandle);
__declspec(dllexport) int  __stdcall dx_SetMovieVolumeToGraph( int  Volume, int  GraphHandle);
__declspec(dllexport) BASEIMAGE * __stdcall dx_GetMovieBaseImageToGraph( int GraphHandle ) ;
__declspec(dllexport) int  __stdcall dx_GetMovieTotalFrameToGraph( int  GraphHandle);
__declspec(dllexport) int  __stdcall dx_TellMovieToGraph( int  GraphHandle);
__declspec(dllexport) int  __stdcall dx_TellMovieToGraphToFrame( int  GraphHandle);
__declspec(dllexport) int  __stdcall dx_SeekMovieToGraphToFrame( int  GraphHandle, int  Frame);
__declspec(dllexport) LONGLONG __stdcall dx_GetOneFrameTimeMovieToGraph( int GraphHandle ) ;
__declspec(dllexport) int  __stdcall dx_LoadBmpToGraph( const char *  GraphName, int  TextureFlag, int  ReverseFlag, int  SurfaceMode = DX_MOVIESURFACE_NORMAL);
__declspec(dllexport) int  __stdcall dx_LoadGraph( const char *  FileName, int  NotUse3DFlag = FALSE);
__declspec(dllexport) int  __stdcall dx_LoadReverseGraph( const char *  FileName, int  NotUse3DFlag = FALSE);
__declspec(dllexport) int  __stdcall dx_LoadDivGraph( const char *  FileName, int  AllNum, int  XNum, int  YNum, int  XSize, int  YSize, int *  HandleBuf, int  NotUse3DFlag = FALSE);
__declspec(dllexport) int  __stdcall dx_LoadDivBmpToGraph( const char *  FileName, int  AllNum, int  XNum, int  YNum, int  SizeX, int  SizeY, int *  HandleBuf, int  TextureFlag, int  ReverseFlag);
__declspec(dllexport) int  __stdcall dx_LoadReverseDivGraph( const char *  FileName, int  AllNum, int  XNum, int  YNum, int  XSize, int  YSize, int *  HandleBuf, int  NotUse3DFlag = FALSE);
__declspec(dllexport) int  __stdcall dx_LoadBlendGraph( const char *  FileName);
__declspec(dllexport) int __stdcall dx_LoadGraphToResource_2( int ResourceID ) ;
__declspec(dllexport) int __stdcall dx_LoadGraphToResource_4( const char * ResourceName , const char * ResourceType ) ;
__declspec(dllexport) int  __stdcall dx_LoadDivGraphToResource( const char *  ResourceName, const char *  ResourceType, int  AllNum, int  XNum, int  YNum, int  XSize, int  YSize, int *  HandleBuf);
__declspec(dllexport) int __stdcall dx_CreateGraphFromMem_2( void * MemImage , int MemImageSize , void * AlphaImage = NULL , int AlphaImageSize = 0 , int TextureFlag = TRUE , int ReverseFlag = FALSE ) ;
__declspec(dllexport) int __stdcall dx_ReCreateGraphFromMem_2( void * MemImage , int MemImageSize , int GrHandle , void * AlphaImage = NULL , int AlphaImageSize = 0 , int TextureFlag = TRUE , int ReverseFlag = FALSE ) ;
__declspec(dllexport) int __stdcall dx_CreateDivGraphFromMem_2( void * MemImage , int MemImageSize , int AllNum , int XNum , int YNum , int SizeX , int SizeY , int * HandleBuf , int TextureFlag = TRUE , int ReverseFlag = FALSE , void * AlphaImage = NULL , int AlphaImageSize = 0 ) ;
__declspec(dllexport) int __stdcall dx_ReCreateDivGraphFromMem_2( void * MemImage , int MemImageSize , int AllNum , int XNum , int YNum , int SizeX , int SizeY , int * HandleBuf , int TextureFlag = TRUE , int ReverseFlag = FALSE , void * AlphaImage = NULL , int AlphaImageSize = 0 ) ;
__declspec(dllexport) int __stdcall dx_CreateGraphFromBmp_2( BITMAPINFO * BmpInfo , void * GraphData , BITMAPINFO * AlphaInfo = NULL , void * AlphaData = NULL , int TextureFlag = TRUE , int ReverseFlag = FALSE ) ;
__declspec(dllexport) int __stdcall dx_ReCreateGraphFromBmp_2( BITMAPINFO * BmpInfo , void * GraphData , int GrHandle , BITMAPINFO * AlphaInfo = NULL , void * AlphaData = NULL , int TextureFlag = TRUE , int ReverseFlag = FALSE ) ;
__declspec(dllexport) int __stdcall dx_CreateDivGraphFromBmp_2( BITMAPINFO * BmpInfo , void * GraphData , int AllNum , int XNum , int YNum , int SizeX , int SizeY , int * HandleBuf , int TextureFlag = TRUE , int ReverseFlag = FALSE , BITMAPINFO * AlphaInfo = NULL , void * AlphaData = NULL ) ;
__declspec(dllexport) int __stdcall dx_ReCreateDivGraphFromBmp_2( BITMAPINFO * BmpInfo , void * GraphData , int AllNum , int XNum , int YNum , int SizeX , int SizeY , int * HandleBuf , int TextureFlag = TRUE , int ReverseFlag = FALSE , BITMAPINFO * AlphaInfo = NULL , void * AlphaData = NULL ) ;
__declspec(dllexport) int __stdcall dx_CreateGraphFromGraphImage_2( BASEIMAGE * Image , int TextureFlag = TRUE , int ReverseFlag = FALSE , int DataReverseFlag = TRUE ) ;
__declspec(dllexport) int __stdcall dx_CreateGraphFromGraphImage_4( BASEIMAGE * Image , BASEIMAGE * AlphaImage , int TextureFlag = TRUE , int ReverseFlag = FALSE , int DataReverseFlag = TRUE ) ;
__declspec(dllexport) int __stdcall dx_ReCreateGraphFromGraphImage_2( BASEIMAGE * Image , int GrHandle , int TextureFlag = TRUE , int ReverseFlag = FALSE , int DataReverseFlag = TRUE ) ;
__declspec(dllexport) int __stdcall dx_ReCreateGraphFromGraphImage_4( BASEIMAGE * Image , BASEIMAGE * AlphaImage , int GrHandle , int TextureFlag = TRUE , int ReverseFlag = FALSE , int DataReverseFlag = TRUE ) ;
__declspec(dllexport) int __stdcall dx_CreateDivGraphFromGraphImage_2( BASEIMAGE * Image , int AllNum , int XNum , int YNum , int SizeX , int SizeY , int * HandleBuf , int TextureFlag = TRUE , int ReverseFlag = FALSE , int DataReverseFlag = TRUE ) ;
__declspec(dllexport) int __stdcall dx_CreateDivGraphFromGraphImage_4( BASEIMAGE * Image , BASEIMAGE * AlphaImage , int AllNum , int XNum , int YNum , int SizeX , int SizeY , int * HandleBuf , int TextureFlag = TRUE , int ReverseFlag = FALSE , int DataReverseFlag = TRUE ) ;
__declspec(dllexport) int __stdcall dx_ReCreateDivGraphFromGraphImage_2( BASEIMAGE * Image , int AllNum , int XNum , int YNum , int SizeX , int SizeY , int * HandleBuf , int TextureFlag = TRUE , int ReverseFlag = FALSE , int DataReverseFlag = TRUE ) ;
__declspec(dllexport) int __stdcall dx_ReCreateDivGraphFromGraphImage_4( BASEIMAGE * Image , BASEIMAGE * AlphaImage , int AllNum , int XNum , int YNum , int SizeX , int SizeY , int * HandleBuf , int TextureFlag = TRUE , int ReverseFlag = FALSE , int DataReverseFlag = TRUE ) ;
__declspec(dllexport) int __stdcall dx_CreateGraph_2( int Width , int Height , int Pitch , void * GraphData , void * AlphaData = NULL , int GrHandle = -1 ) ;
__declspec(dllexport) int __stdcall dx_CreateDivGraph_2( int Width , int Height , int Pitch , void * GraphData , int AllNum , int XNum , int YNum , int SizeX , int SizeY , int * HandleBuf , void * AlphaData = NULL ) ;
__declspec(dllexport) int __stdcall dx_ReCreateGraph_2( int Width , int Height , int Pitch , void * GraphData , int GrHandle , void * AlphaData = NULL ) ;
__declspec(dllexport) int  __stdcall dx_CreateGraphFromSoftImage( int  SIHandle);
__declspec(dllexport) int  __stdcall dx_CreateGraphFromRectSoftImage( int  SIHandle, int  x, int  y, int  SizeX, int  SizeY);
__declspec(dllexport) int  __stdcall dx_ReCreateGraphFromSoftImage( int  SIHandle, int  GrHandle);
__declspec(dllexport) int  __stdcall dx_ReCreateGraphFromRectSoftImage( int  SIHandle, int  x, int  y, int  SizeX, int  SizeY, int  GrHandle);
__declspec(dllexport) int  __stdcall dx_CreateDivGraphFromSoftImage( int  SIHandle, int  AllNum, int  XNum, int  YNum, int  SizeX, int  SizeY, int *  HandleBuf);
__declspec(dllexport) int __stdcall dx_CreateGraphFromBaseImage_2( BASEIMAGE * BaseImage ) ;
__declspec(dllexport) int __stdcall dx_CreateGraphFromRectBaseImage_2( BASEIMAGE * BaseImage , int x , int y , int SizeX , int SizeY ) ;
__declspec(dllexport) int __stdcall dx_ReCreateGraphFromBaseImage_2( BASEIMAGE * BaseImage , int GrHandle ) ;
__declspec(dllexport) int __stdcall dx_ReCreateGraphFromRectBaseImage_2( BASEIMAGE * BaseImage , int x , int y , int SizeX , int SizeY , int GrHandle ) ;
__declspec(dllexport) int __stdcall dx_CreateDivGraphFromBaseImage_2( BASEIMAGE * BaseImage , int AllNum , int XNum , int YNum , int SizeX , int SizeY , int * HandleBuf ) ;
__declspec(dllexport) int  __stdcall dx_ReloadGraph( const char *  FileName, int  GrHandle, int  ReverseFlag = FALSE);
__declspec(dllexport) int  __stdcall dx_ReloadDivGraph( const char *  FileName, int  AllNum, int  XNum, int  YNum, int  XSize, int  YSize, int *  HandleBuf, int  ReverseFlag = FALSE);
__declspec(dllexport) int  __stdcall dx_ReloadReverseGraph( const char *  FileName, int  GrHandle);
__declspec(dllexport) int  __stdcall dx_ReloadReverseDivGraph( const char *  FileName, int  AllNum, int  XNum, int  YNum, int  XSize, int  YSize, int *  HandleBuf);
__declspec(dllexport) int __stdcall dx_DrawBaseImage_2( int x , int y , BASEIMAGE * BaseImage ) ;
__declspec(dllexport) int  __stdcall dx_SetCameraNearFar( float  Near, float  Far);
__declspec(dllexport) int  __stdcall dx_SetCameraPositionAndTarget_UpVecY( VECTOR  Position, VECTOR  Target);
__declspec(dllexport) int  __stdcall dx_SetCameraPositionAndTargetAndUpVec( VECTOR  Position, VECTOR  Target, VECTOR  Up);
__declspec(dllexport) int  __stdcall dx_SetCameraPositionAndAngle( VECTOR  Position, float  VRotate, float  HRotate, float  TRotate);
__declspec(dllexport) int  __stdcall dx_SetCameraViewMatrix( MATRIX  ViewMatrix);
__declspec(dllexport) int  __stdcall dx_SetCameraScreenCenter( float  x, float  y);
__declspec(dllexport) int  __stdcall dx_SetupCamera_Perspective( float  Fov);
__declspec(dllexport) int  __stdcall dx_SetupCamera_Ortho( float  Size);
__declspec(dllexport) int  __stdcall dx_SetupCamera_ProjectionMatrix( MATRIX  ProjectionMatrix);
__declspec(dllexport) int  __stdcall dx_SetCameraDotAspect( float  DotAspect);
__declspec(dllexport) float  __stdcall dx_GetCameraNear( void);
__declspec(dllexport) float  __stdcall dx_GetCameraFar( void);
__declspec(dllexport) VECTOR  __stdcall dx_GetCameraPosition( void);
__declspec(dllexport) VECTOR  __stdcall dx_GetCameraTarget( void);
__declspec(dllexport) VECTOR  __stdcall dx_GetCameraUpVector( void);
__declspec(dllexport) float  __stdcall dx_GetCameraAngleHRotate( void);
__declspec(dllexport) float  __stdcall dx_GetCameraAngleVRotate( void);
__declspec(dllexport) float  __stdcall dx_GetCameraAngleTRotate( void);
__declspec(dllexport) float  __stdcall dx_GetCameraFov( void);
__declspec(dllexport) float  __stdcall dx_GetCameraSize( void);
__declspec(dllexport) MATRIX  __stdcall dx_GetCameraProjectionMatrix( void);
__declspec(dllexport) float  __stdcall dx_GetCameraDotAspect( void);
__declspec(dllexport) int  __stdcall dx_SetUseLighting( int  Flag);
__declspec(dllexport) int  __stdcall dx_SetMaterialUseVertDifColor( int  UseFlag);
__declspec(dllexport) int  __stdcall dx_SetMaterialUseVertSpcColor( int  UseFlag);
__declspec(dllexport) int  __stdcall dx_SetMaterialParam( MATERIALPARAM  Material);
__declspec(dllexport) int  __stdcall dx_SetUseSpecular( int  UseFlag);
__declspec(dllexport) int  __stdcall dx_SetGlobalAmbientLight( COLOR_F  Color);
__declspec(dllexport) int  __stdcall dx_ChangeLightTypeDir( VECTOR  Direction);
__declspec(dllexport) int  __stdcall dx_ChangeLightTypeSpot( VECTOR  Position, VECTOR  Direction, float  OutAngle, float  InAngle, float  Range, float  Atten0, float  Atten1, float  Atten2);
__declspec(dllexport) int  __stdcall dx_ChangeLightTypePoint( VECTOR  Position, float  Range, float  Atten0, float  Atten1, float  Atten2);
__declspec(dllexport) int  __stdcall dx_SetLightEnable( int  EnableFlag);
__declspec(dllexport) int  __stdcall dx_SetLightDifColor( COLOR_F  Color);
__declspec(dllexport) int  __stdcall dx_SetLightSpcColor( COLOR_F  Color);
__declspec(dllexport) int  __stdcall dx_SetLightAmbColor( COLOR_F  Color);
__declspec(dllexport) int  __stdcall dx_SetLightDirection( VECTOR  Direction);
__declspec(dllexport) int  __stdcall dx_SetLightPosition( VECTOR  Position);
__declspec(dllexport) int  __stdcall dx_SetLightRangeAtten( float  Range, float  Atten0, float  Atten1, float  Atten2);
__declspec(dllexport) int  __stdcall dx_SetLightAngle( float  OutAngle, float  InAngle);
__declspec(dllexport) int  __stdcall dx_GetLightType( void);
__declspec(dllexport) int  __stdcall dx_GetLightEnable( void);
__declspec(dllexport) COLOR_F  __stdcall dx_GetLightDifColor( void);
__declspec(dllexport) COLOR_F  __stdcall dx_GetLightSpcColor( void);
__declspec(dllexport) COLOR_F  __stdcall dx_GetLightAmbColor( void);
__declspec(dllexport) VECTOR  __stdcall dx_GetLightDirection( void);
__declspec(dllexport) VECTOR  __stdcall dx_GetLightPosition( void);
__declspec(dllexport) int  __stdcall dx_GetLightRangeAtten( float *  Range, float *  Atten0, float *  Atten1, float *  Atten2);
__declspec(dllexport) int  __stdcall dx_GetLightAngle( float *  OutAngle, float *  InAngle);
__declspec(dllexport) int  __stdcall dx_CreateDirLightHandle( VECTOR  Direction);
__declspec(dllexport) int  __stdcall dx_CreateSpotLightHandle( VECTOR  Position, VECTOR  Direction, float  OutAngle, float  InAngle, float  Range, float  Atten0, float  Atten1, float  Atten2);
__declspec(dllexport) int  __stdcall dx_CreatePointLightHandle( VECTOR  Position, float  Range, float  Atten0, float  Atten1, float  Atten2);
__declspec(dllexport) int  __stdcall dx_DeleteLightHandle( int  LHandle);
__declspec(dllexport) int  __stdcall dx_DeleteLightHandleAll( void);
__declspec(dllexport) int  __stdcall dx_SetLightTypeHandle( int  LHandle, int  LightType);
__declspec(dllexport) int  __stdcall dx_SetLightEnableHandle( int  LHandle, int  EnableFlag);
__declspec(dllexport) int  __stdcall dx_SetLightDifColorHandle( int  LHandle, COLOR_F  Color);
__declspec(dllexport) int  __stdcall dx_SetLightSpcColorHandle( int  LHandle, COLOR_F  Color);
__declspec(dllexport) int  __stdcall dx_SetLightAmbColorHandle( int  LHandle, COLOR_F  Color);
__declspec(dllexport) int  __stdcall dx_SetLightDirectionHandle( int  LHandle, VECTOR  Direction);
__declspec(dllexport) int  __stdcall dx_SetLightPositionHandle( int  LHandle, VECTOR  Position);
__declspec(dllexport) int  __stdcall dx_SetLightRangeAttenHandle( int  LHandle, float  Range, float  Atten0, float  Atten1, float  Atten2);
__declspec(dllexport) int  __stdcall dx_SetLightAngleHandle( int  LHandle, float  OutAngle, float  InAngle);
__declspec(dllexport) int  __stdcall dx_GetLightTypeHandle( int  LHandle);
__declspec(dllexport) int  __stdcall dx_GetLightEnableHandle( int  LHandle);
__declspec(dllexport) COLOR_F  __stdcall dx_GetLightDifColorHandle( int  LHandle);
__declspec(dllexport) COLOR_F  __stdcall dx_GetLightSpcColorHandle( int  LHandle);
__declspec(dllexport) COLOR_F  __stdcall dx_GetLightAmbColorHandle( int  LHandle);
__declspec(dllexport) VECTOR  __stdcall dx_GetLightDirectionHandle( int  LHandle);
__declspec(dllexport) VECTOR  __stdcall dx_GetLightPositionHandle( int  LHandle);
__declspec(dllexport) int  __stdcall dx_GetLightRangeAttenHandle( int  LHandle, float *  Range, float *  Atten0, float *  Atten1, float *  Atten2);
__declspec(dllexport) int  __stdcall dx_GetLightAngleHandle( int  LHandle, float *  OutAngle, float *  InAngle);
__declspec(dllexport) int  __stdcall dx_SetGraphColorBitDepth( int  ColorBitDepth);
__declspec(dllexport) int  __stdcall dx_SetCreateGraphColorBitDepth( int  BitDepth);
__declspec(dllexport) int  __stdcall dx_GetCreateGraphColorBitDepth( void);
__declspec(dllexport) int  __stdcall dx_GetGraphColorBitDepth( void);
__declspec(dllexport) int  __stdcall dx_SetDrawValidGraphCreateFlag( int  Flag);
__declspec(dllexport) int  __stdcall dx_GetDrawValidGraphCreateFlag( void);
__declspec(dllexport) int  __stdcall dx_SetLeftUpColorIsTransColorFlag( int  Flag);
__declspec(dllexport) int  __stdcall dx_GetUseBlendGraphCreateFlag( void);
__declspec(dllexport) int  __stdcall dx_GetUseSystemMemGraphCreateFlag( void);
__declspec(dllexport) int  __stdcall dx_SetUseBlendGraphCreateFlag( int  Flag);
__declspec(dllexport) int  __stdcall dx_SetUseAlphaTestGraphCreateFlag( int  Flag);
__declspec(dllexport) int  __stdcall dx_SetUseAlphaTestFlag( int  Flag);
__declspec(dllexport) int  __stdcall dx_SetUseNoBlendModeParam( int  Flag);
__declspec(dllexport) int  __stdcall dx_SetDrawValidFlagOf3DGraph( int  Flag);
__declspec(dllexport) int  __stdcall dx_GetUseAlphaTestFlag( void);
__declspec(dllexport) int  __stdcall dx_GetUseAlphaTestGraphCreateFlag( void);
__declspec(dllexport) int  __stdcall dx_SetDrawValidAlphaChannelGraphCreateFlag( int  Flag);
__declspec(dllexport) int  __stdcall dx_SetUseZBufferFlag( int  Flag);
__declspec(dllexport) int  __stdcall dx_SetWriteZBufferFlag( int  Flag);
__declspec(dllexport) int  __stdcall dx_SetZBufferCmpType( int  CmpType);
__declspec(dllexport) int  __stdcall dx_SetZBias( int  Bias);
__declspec(dllexport) int  __stdcall dx_SetUseZBuffer3D( int  Flag);
__declspec(dllexport) int  __stdcall dx_SetWriteZBuffer3D( int  Flag);
__declspec(dllexport) int  __stdcall dx_SetZBufferCmpType3D( int  CmpType);
__declspec(dllexport) int  __stdcall dx_SetZBias3D( int  Bias);
__declspec(dllexport) int  __stdcall dx_SetDrawZ( float  Z);
__declspec(dllexport) int  __stdcall dx_SetUseTransColor( int  Flag);
__declspec(dllexport) int  __stdcall dx_SetUseTransColorGraphCreateFlag( int  Flag);
__declspec(dllexport) int  __stdcall dx_SetUseAlphaChannelGraphCreateFlag( int  Flag);
__declspec(dllexport) int  __stdcall dx_SetUseGraphAlphaChannel( int  Flag);
__declspec(dllexport) int  __stdcall dx_GetUseAlphaChannelGraphCreateFlag( void);
__declspec(dllexport) int  __stdcall dx_GetUseGraphAlphaChannel( void);
__declspec(dllexport) int  __stdcall dx_SetUseNotManageTextureFlag( int  Flag);
__declspec(dllexport) int  __stdcall dx_SetTransColor( int  Red, int  Green, int  Blue);
__declspec(dllexport) int  __stdcall dx_GetTransColor( int *  Red, int *  Green, int *  Blue);
__declspec(dllexport) int  __stdcall dx_GetDrawArea( RECT *  Rect);
__declspec(dllexport) int  __stdcall dx_GetUseNotManageTextureFlag( void);
__declspec(dllexport) int  __stdcall dx_SetUseBasicGraphDraw3DDeviceMethodFlag( int  Flag);
__declspec(dllexport) int  __stdcall dx_SetWindowDrawRect( RECT *  DrawRect);
__declspec(dllexport) int  __stdcall dx_GetDrawBlendMode( int *  BlendMode, int *  BlendParam);
__declspec(dllexport) int  __stdcall dx_GetDrawMode( void);
__declspec(dllexport) int  __stdcall dx_GetDrawBright( int *  Red, int *  Green, int *  Blue);
__declspec(dllexport) int  __stdcall dx_GetActiveGraph( void);
__declspec(dllexport) int  __stdcall dx_GetTexFormatIndex( IMAGEFORMATDESC *  Format);
__declspec(dllexport) int  __stdcall dx_SetWaitVSyncFlag( int  Flag);
__declspec(dllexport) int  __stdcall dx_GetWaitVSyncFlag( void);
__declspec(dllexport) int __stdcall dx_ColorKaiseki_2( void * PixelData , COLORDATA * ColorData ) ;
__declspec(dllexport) int  __stdcall dx_SetDefTransformMatrix( void);
__declspec(dllexport) int __stdcall dx_CreatePixelFormat_2( D_DDPIXELFORMAT * PixelFormatBuf , int ColorBitDepth , DWORD RedMask , DWORD GreenMask , DWORD BlueMask , DWORD AlphaMask ) ;
__declspec(dllexport) int  __stdcall dx_SetEmulation320x240( int  Flag);
__declspec(dllexport) int  __stdcall dx_CreateMaskScreen( void);
__declspec(dllexport) int  __stdcall dx_DeleteMaskScreen( void);
__declspec(dllexport) void * __stdcall dx_GetMaskSurface( void );
__declspec(dllexport) int __stdcall dx_DrawFillMaskToDirectData_2( int x1 , int y1 , int x2 , int y2 , int Width , int Height , void * MaskData ) ;
__declspec(dllexport) int  __stdcall dx_SetUseMaskScreenFlag( int  ValidFlag);
__declspec(dllexport) int  __stdcall dx_GetUseMaskScreenFlag( void);
__declspec(dllexport) int  __stdcall dx_FillMaskScreen( int  Flag);
__declspec(dllexport) int  __stdcall dx_InitMask( void);
__declspec(dllexport) int  __stdcall dx_MakeMask( int  Width, int  Height);
__declspec(dllexport) int  __stdcall dx_GetMaskSize( int *  WidthBuf, int *  HeightBuf, int  MaskHandle);
__declspec(dllexport) int __stdcall dx_SetDataToMask_2( int Width , int Height , void * MaskData , int MaskHandle ) ;
__declspec(dllexport) int  __stdcall dx_DeleteMask( int  MaskHandle);
__declspec(dllexport) int __stdcall dx_BmpBltToMask_2( HBITMAP Bmp , int BmpPointX , int BmpPointY , int MaskHandle ) ;
__declspec(dllexport) int  __stdcall dx_LoadMask( const char *  FileName);
__declspec(dllexport) int  __stdcall dx_LoadDivMask( const char *  FileName, int  AllNum, int  XNum, int  YNum, int  XSize, int  YSize, int *  HandleBuf);
__declspec(dllexport) int  __stdcall dx_DrawMask( int  x, int  y, int  MaskHandle, int  TransMode);
__declspec(dllexport) int  __stdcall dx_DrawStringMask( int  x, int  y, int  Flag, const char *  String);
__declspec(dllexport) int  __stdcall dx_DrawStringMaskToHandle( int  x, int  y, int  Flag, int  FontHandle, const char *  String);
__declspec(dllexport) int  __stdcall dx_DrawFillMask( int  x1, int  y1, int  x2, int  y2, int  MaskHandle);
__declspec(dllexport) int  __stdcall dx_SetMaskTransColor( int  ColorCode);
__declspec(dllexport) int  __stdcall dx_SetMaskReverseEffectFlag( int  ReverseFlag);
__declspec(dllexport) int  __stdcall dx_GetMaskScreenData( int  x1, int  y1, int  x2, int  y2, int  MaskHandle);
__declspec(dllexport) int  __stdcall dx_GetMaskUseFlag( void);
__declspec(dllexport) int  __stdcall dx_SetMovieRightImageAlphaFlag( int  Flag);
__declspec(dllexport) int  __stdcall dx_EnumFontName( char *  NameBuffer, int  NameBufferNum, int  JapanOnlyFlag = TRUE);
__declspec(dllexport) int  __stdcall dx_InitFontToHandle( void);
__declspec(dllexport) int  __stdcall dx_CreateFontToHandle( const char *  FontName, int  Size, int  Thick, int  FontType = -1, int  CharSet = -1, int  EdgeSize = -1, int  Italic = FALSE, int  DataIndex = -1, int  ID = -1);
__declspec(dllexport) int  __stdcall dx_SetFontSpaceToHandle( int  Point, int  FontHandle);
__declspec(dllexport) int  __stdcall dx_SetDefaultFontState( const char *  FontName, int  Size, int  Thick);
__declspec(dllexport) int  __stdcall dx_DeleteFontToHandle( int  FontHandle);
__declspec(dllexport) int  __stdcall dx_SetFontLostFlag( int  FontHandle, int *  LostFlag);
__declspec(dllexport) int  __stdcall dx_SetFontSize( int  FontSize);
__declspec(dllexport) int  __stdcall dx_SetFontThickness( int  ThickPal);
__declspec(dllexport) int  __stdcall dx_SetFontSpace( int  Point);
__declspec(dllexport) int  __stdcall dx_SetFontCacheToTextureFlag( int  Flag);
__declspec(dllexport) int  __stdcall dx_SetFontChacheToTextureFlag( int  Flag);
__declspec(dllexport) int  __stdcall dx_SetFontCacheCharNum( int  CharNum);
__declspec(dllexport) int  __stdcall dx_ChangeFont( const char *  FontName, int  CharSet = -1);
__declspec(dllexport) int  __stdcall dx_ChangeFontType( int  FontType);
__declspec(dllexport) int __stdcall dx_FontCacheStringDrawToHandle_2( int x , int y , const char * StrData , int Color , int EdgeColor , BASEIMAGE * DestImage , RECT * ClipRect , int FontHandle , int VerticalFlag = FALSE , SIZE * DrawSizeP = NULL ) ;
__declspec(dllexport) int __stdcall dx_FontBaseImageBlt_2( int x , int y , const char * StrData , BASEIMAGE * DestImage , BASEIMAGE * DestEdgeImage , int VerticalFlag = FALSE ) ;
__declspec(dllexport) int __stdcall dx_FontBaseImageBltToHandle_2( int x , int y , const char * StrData , BASEIMAGE * DestImage , BASEIMAGE * DestEdgeImage , int FontHandle , int VerticalFlag = FALSE ) ;
__declspec(dllexport) int  __stdcall dx_GetFontMaxWidth( void);
__declspec(dllexport) int  __stdcall dx_GetFontMaxWidthToHandle( int  FontHandle);
__declspec(dllexport) int  __stdcall dx_GetDrawStringWidth( const char *  String, int  StrLen, int  VerticalFlag = FALSE);
__declspec(dllexport) int  __stdcall dx_GetDrawStringWidthToHandle( const char *  String, int  StrLen, int  FontHandle, int  VerticalFlag = FALSE);
__declspec(dllexport) int  __stdcall dx_GetDrawExtendStringWidth( double  ExRateX, const char *  String, int  StrLen, int  VerticalFlag = FALSE);
__declspec(dllexport) int  __stdcall dx_GetDrawExtendStringWidthToHandle( double  ExRateX, const char *  String, int  StrLen, int  FontHandle, int  VerticalFlag = FALSE);
__declspec(dllexport) int  __stdcall dx_GetFontStateToHandle( char *  FontName, int *  Size, int *  Thick, int  FontHandle);
__declspec(dllexport) int  __stdcall dx_GetDefaultFontHandle( void);
__declspec(dllexport) int  __stdcall dx_GetFontChacheToTextureFlag( void);
__declspec(dllexport) int  __stdcall dx_CheckFontChacheToTextureFlag( int  FontHandle);
__declspec(dllexport) int  __stdcall dx_CheckFontHandleValid( int  FontHandle);
__declspec(dllexport) int  __stdcall dx_MultiByteCharCheck( const char *  Buf, int  CharSet);
__declspec(dllexport) int  __stdcall dx_GetFontCacheCharNum( void);
__declspec(dllexport) int  __stdcall dx_GetFontSize( void);
__declspec(dllexport) int  __stdcall dx_GetFontSizeToHandle( int  FontHandle);
__declspec(dllexport) int  __stdcall dx_CreateIdentityMatrix( MATRIX *  Out);
__declspec(dllexport) int  __stdcall dx_CreateLookAtMatrix( MATRIX *  Out, VECTOR *  Eye, VECTOR *  At, VECTOR *  Up);
__declspec(dllexport) int  __stdcall dx_CreateLookAtMatrix2( MATRIX *  Out, VECTOR *  Eye, double  XZAngle, double  Oira);
__declspec(dllexport) int  __stdcall dx_CreateLookAtMatrixRH( MATRIX *  Out, VECTOR *  Eye, VECTOR *  At, VECTOR *  Up);
__declspec(dllexport) int  __stdcall dx_CreateMultiplyMatrix( MATRIX *  Out, MATRIX *  In1, MATRIX *  In2);
__declspec(dllexport) int  __stdcall dx_CreatePerspectiveFovMatrix( MATRIX *  Out, float  fov, float  zn, float  zf, float  aspect = -1.0f);
__declspec(dllexport) int  __stdcall dx_CreatePerspectiveFovMatrixRH( MATRIX *  Out, float  fov, float  zn, float  zf, float  aspect = -1.0f);
__declspec(dllexport) int  __stdcall dx_CreateOrthoMatrix( MATRIX *  Out, float  size, float  zn, float  zf, float  aspect = -1.0f);
__declspec(dllexport) int  __stdcall dx_CreateOrthoMatrixRH( MATRIX *  Out, float  size, float  zn, float  zf, float  aspect = -1.0f);
__declspec(dllexport) int  __stdcall dx_CreateScalingMatrix( MATRIX *  Out, float  sx, float  sy, float  sz);
__declspec(dllexport) int  __stdcall dx_CreateRotationXMatrix( MATRIX *  Out, float  Angle);
__declspec(dllexport) int  __stdcall dx_CreateRotationYMatrix( MATRIX *  Out, float  Angle);
__declspec(dllexport) int  __stdcall dx_CreateRotationZMatrix( MATRIX *  Out, float  Angle);
__declspec(dllexport) int  __stdcall dx_CreateTranslationMatrix( MATRIX *  Out, float  x, float  y, float  z);
__declspec(dllexport) int  __stdcall dx_CreateTransposeMatrix( MATRIX *  Out, MATRIX *  In);
__declspec(dllexport) int  __stdcall dx_CreateInverseMatrix( MATRIX *  Out, MATRIX *  In);
__declspec(dllexport) int  __stdcall dx_CreateViewportMatrix( MATRIX *  Out, float  CenterX, float  CenterY, float  Width, float  Height);
__declspec(dllexport) int  __stdcall dx_CreateRotationXYZMatrix( MATRIX *  Out, float  XRot, float  YRot, float  ZRot);
__declspec(dllexport) int  __stdcall dx_CreateRotationXZYMatrix( MATRIX *  Out, float  XRot, float  YRot, float  ZRot);
__declspec(dllexport) int  __stdcall dx_CreateRotationYXZMatrix( MATRIX *  Out, float  XRot, float  YRot, float  ZRot);
__declspec(dllexport) int  __stdcall dx_CreateRotationYZXMatrix( MATRIX *  Out, float  XRot, float  YRot, float  ZRot);
__declspec(dllexport) int  __stdcall dx_CreateRotationZXYMatrix( MATRIX *  Out, float  XRot, float  YRot, float  ZRot);
__declspec(dllexport) int  __stdcall dx_CreateRotationZYXMatrix( MATRIX *  Out, float  XRot, float  YRot, float  ZRot);
__declspec(dllexport) int  __stdcall dx_GetMatrixXYZRotation( MATRIX *  In, float *  OutXRot, float *  OutYRot, float *  OutZRot);
__declspec(dllexport) int  __stdcall dx_GetMatrixXZYRotation( MATRIX *  In, float *  OutXRot, float *  OutYRot, float *  OutZRot);
__declspec(dllexport) int  __stdcall dx_GetMatrixYXZRotation( MATRIX *  In, float *  OutXRot, float *  OutYRot, float *  OutZRot);
__declspec(dllexport) int  __stdcall dx_GetMatrixYZXRotation( MATRIX *  In, float *  OutXRot, float *  OutYRot, float *  OutZRot);
__declspec(dllexport) int  __stdcall dx_GetMatrixZXYRotation( MATRIX *  In, float *  OutXRot, float *  OutYRot, float *  OutZRot);
__declspec(dllexport) int  __stdcall dx_GetMatrixZYXRotation( MATRIX *  In, float *  OutXRot, float *  OutYRot, float *  OutZRot);
__declspec(dllexport) int  __stdcall dx_VectorNormalize( VECTOR *  Out, VECTOR *  In);
__declspec(dllexport) int  __stdcall dx_VectorScale( VECTOR *  Out, VECTOR *  In, float  Scale);
__declspec(dllexport) int  __stdcall dx_VectorMultiply( VECTOR *  Out, VECTOR *  In1, VECTOR *  In2);
__declspec(dllexport) int  __stdcall dx_VectorSub( VECTOR *  Out, VECTOR *  In1, VECTOR *  In2);
__declspec(dllexport) int  __stdcall dx_VectorAdd( VECTOR *  Out, VECTOR *  In1, VECTOR *  In2);
__declspec(dllexport) int  __stdcall dx_VectorOuterProduct( VECTOR *  Out, VECTOR *  In1, VECTOR *  In2);
__declspec(dllexport) float  __stdcall dx_VectorInnerProduct( VECTOR *  In1, VECTOR *  In2);
__declspec(dllexport) int  __stdcall dx_VectorRotationX( VECTOR *  Out, VECTOR *  In, double  Angle);
__declspec(dllexport) int  __stdcall dx_VectorRotationY( VECTOR *  Out, VECTOR *  In, double  Angle);
__declspec(dllexport) int  __stdcall dx_VectorRotationZ( VECTOR *  Out, VECTOR *  In, double  Angle);
__declspec(dllexport) int  __stdcall dx_VectorTransform( VECTOR *  Out, VECTOR *  InVec, MATRIX *  InMatrix);
__declspec(dllexport) int  __stdcall dx_VectorTransform4( VECTOR *  Out, float *  V4Out, VECTOR *  InVec, float *  V4In, MATRIX *  InMatrix);
__declspec(dllexport) void  __stdcall dx_TriangleBarycenter( VECTOR  TrianglePos1, VECTOR  TrianglePos2, VECTOR  TrianglePos3, VECTOR  Position, float *  u, float *  v, float *  w);
__declspec(dllexport) float  __stdcall dx_Segment_Segment_MinLength( VECTOR  SegmentAPos1, VECTOR  SegmentAPos2, VECTOR  SegmentBPos1, VECTOR  SegmentBPos2);
__declspec(dllexport) float  __stdcall dx_Segment_Segment_MinLength_Square( VECTOR  SegmentAPos1, VECTOR  SegmentAPos2, VECTOR  SegmentBPos1, VECTOR  SegmentBPos2);
__declspec(dllexport) float  __stdcall dx_Segment_Triangle_MinLength( VECTOR  SegmentPos1, VECTOR  SegmentPos2, VECTOR  TrianglePos1, VECTOR  TrianglePos2, VECTOR  TrianglePos3);
__declspec(dllexport) float  __stdcall dx_Segment_Triangle_MinLength_Square( VECTOR  SegmentPos1, VECTOR  SegmentPos2, VECTOR  TrianglePos1, VECTOR  TrianglePos2, VECTOR  TrianglePos3);
__declspec(dllexport) float  __stdcall dx_Segment_Point_MinLength( VECTOR  SegmentPos1, VECTOR  SegmentPos2, VECTOR  PointPos);
__declspec(dllexport) float  __stdcall dx_Segment_Point_MinLength_Square( VECTOR  SegmentPos1, VECTOR  SegmentPos2, VECTOR  PointPos);
__declspec(dllexport) float  __stdcall dx_Triangle_Point_MinLength( VECTOR  TrianglePos1, VECTOR  TrianglePos2, VECTOR  TrianglePos3, VECTOR  PointPos);
__declspec(dllexport) float  __stdcall dx_Triangle_Point_MinLength_Square( VECTOR  TrianglePos1, VECTOR  TrianglePos2, VECTOR  TrianglePos3, VECTOR  PointPos);
__declspec(dllexport) HITRESULT_LINE __stdcall dx_HitCheck_Line_Triangle( VECTOR LinePos1 , VECTOR LinePos2 , VECTOR TrianglePos1 , VECTOR TrianglePos2 , VECTOR TrianglePos3 ) ;
__declspec(dllexport) int  __stdcall dx_HitCheck_Triangle_Triangle( VECTOR  Triangle1Pos1, VECTOR  Triangle1Pos2, VECTOR  Triangle1Pos3, VECTOR  Triangle2Pos1, VECTOR  Triangle2Pos2, VECTOR  Triangle2Pos3);
__declspec(dllexport) int  __stdcall dx_HitCheck_Line_Sphere( VECTOR  LinePos1, VECTOR  LinePos2, VECTOR  SphereCenterPos, float  SphereR);
__declspec(dllexport) int  __stdcall dx_HitCheck_Sphere_Sphere( VECTOR  Sphere1CenterPos, float  Sphere1R, VECTOR  Sphere2CenterPos, float  Sphere2R);
__declspec(dllexport) int  __stdcall dx_HitCheck_Sphere_Triangle( VECTOR  SphereCenterPos, float  SphereR, VECTOR  TrianglePos1, VECTOR  TrianglePos2, VECTOR  TrianglePos3);
__declspec(dllexport) int  __stdcall dx_HitCheck_Capsule_Capsule( VECTOR  Cap1Pos1, VECTOR  Cap1Pos2, float  Cap1R, VECTOR  Cap2Pos1, VECTOR  Cap2Pos2, float  Cap2R);
__declspec(dllexport) int  __stdcall dx_HitCheck_Capsule_Triangle( VECTOR  CapPos1, VECTOR  CapPos2, float  CapR, VECTOR  TrianglePos1, VECTOR  TrianglePos2, VECTOR  TrianglePos3);
__declspec(dllexport) int  __stdcall dx_RectClipping( RECT *  MotoRect, RECT *  ClippuRect);
__declspec(dllexport) int  __stdcall dx_RectAdjust( RECT *  Rect);
__declspec(dllexport) int  __stdcall dx_GetRectSize( RECT *  Rect, int *  Width, int *  Height);
__declspec(dllexport) MATRIX  __stdcall dx_MGetIdent( void);
__declspec(dllexport) MATRIX  __stdcall dx_MMult( MATRIX  In1, MATRIX  In2);
__declspec(dllexport) MATRIX  __stdcall dx_MScale( MATRIX  InM, float  Scale);
__declspec(dllexport) MATRIX  __stdcall dx_MAdd( MATRIX  In1, MATRIX  In2);
__declspec(dllexport) MATRIX  __stdcall dx_MGetScale( VECTOR  Scale);
__declspec(dllexport) MATRIX  __stdcall dx_MGetRotX( float  XAxisRotate);
__declspec(dllexport) MATRIX  __stdcall dx_MGetRotY( float  YAxisRotate);
__declspec(dllexport) MATRIX  __stdcall dx_MGetRotZ( float  ZAxisRotate);
__declspec(dllexport) MATRIX  __stdcall dx_MGetRotAxis( VECTOR  RotateAxis, float  Rotate);
__declspec(dllexport) MATRIX  __stdcall dx_MGetRotVec2( VECTOR  In1, VECTOR  In2);
__declspec(dllexport) MATRIX  __stdcall dx_MGetTranslate( VECTOR  Trans);
__declspec(dllexport) MATRIX  __stdcall dx_MGetAxis1( VECTOR  XAxis, VECTOR  YAxis, VECTOR  ZAxis, VECTOR  Pos);
__declspec(dllexport) MATRIX  __stdcall dx_MGetAxis2( VECTOR  XAxis, VECTOR  YAxis, VECTOR  ZAxis, VECTOR  Pos);
__declspec(dllexport) MATRIX  __stdcall dx_MTranspose( MATRIX  InM);
__declspec(dllexport) MATRIX  __stdcall dx_MInverse( MATRIX  InM);
__declspec(dllexport) VECTOR  __stdcall dx_VNorm( VECTOR  In);
__declspec(dllexport) float  __stdcall dx_VSize( VECTOR  In);
__declspec(dllexport) float  __stdcall dx_VCos( VECTOR  In1, VECTOR  In2);
__declspec(dllexport) float  __stdcall dx_VRad( VECTOR  In1, VECTOR  In2);
__declspec(dllexport) int __stdcall dx_CreateGraphImageOrDIBGraph_2( const char * FileName , void * DataImage , int DataImageSize , int DataImageType , int BmpFlag , int ReverseFlag , BASEIMAGE * Image , BITMAPINFO * * BmpInfo , void * * GraphData ) ;
__declspec(dllexport) int __stdcall dx_CreateGraphImageType2_2( STREAMDATA * Src , BASEIMAGE * Dest ) ;
__declspec(dllexport) int __stdcall dx_CreateBmpInfo_2( BITMAPINFO * BmpInfo , int Width , int Height , int Pitch , void * SrcGrData , void * * DestGrData ) ;
__declspec(dllexport) HBITMAP __stdcall dx_CreateDIBGraphVer2( const char * FileName , void * MemImage , int MemImageSize , int ImageType , int ReverseFlag , COLORDATA * SrcColor ) ;
__declspec(dllexport) int __stdcall dx_CreateDIBGraphVer2_plus_Alpha_2( const char * FileName , void * MemImage , int MemImageSize , void * AlphaImage , int AlphaImageSize , int ImageType , HBITMAP * RGBBmp , HBITMAP * AlphaBmp , int ReverseFlag , COLORDATA * SrcColor ) ;
__declspec(dllexport) DWORD __stdcall dx_GetGraphImageFullColorCode_2( BASEIMAGE * GraphImage , int x , int y ) ;
__declspec(dllexport) int __stdcall dx_CreateGraphImage_plus_Alpha_2( const char * FileName , void * RgbImage , int RgbImageSize , int RgbImageType , void * AlphaImage , int AlphaImageSize , int AlphaImageType , BASEIMAGE * RgbGraphImage , BASEIMAGE * AlphaGraphImage , int ReverseFlag ) ;
__declspec(dllexport) int __stdcall dx_ReverseGraphImage_2( BASEIMAGE * GraphImage ) ;
__declspec(dllexport) int __stdcall dx_ConvBitmapToGraphImage_2( BITMAPINFO * BmpInfo , void * GraphData , BASEIMAGE * GraphImage , int CopyFlag ) ;
__declspec(dllexport) int __stdcall dx_ConvGraphImageToBitmap_2( BASEIMAGE * GraphImage , BITMAPINFO * BmpInfo , void * * GraphData , int CopyFlag , int FullColorConv = TRUE ) ;
__declspec(dllexport) HBITMAP __stdcall dx_CreateDIBGraph( const char * FileName , int ReverseFlag , COLORDATA * SrcColor ) ;
__declspec(dllexport) HBITMAP __stdcall dx_CreateDIBGraphToMem( BITMAPINFO * BmpInfo , void * GraphData , int ReverseFlag , COLORDATA * SrcColor ) ;
__declspec(dllexport) int __stdcall dx_CreateDIBGraph_plus_Alpha_2( const char * FileName , HBITMAP * RGBBmp , HBITMAP * AlphaBmp , int ReverseFlag = FALSE , COLORDATA * SrcColor = NULL ) ;
__declspec(dllexport) int __stdcall dx_AddUserGraphLoadFunction4_2( int ( *UserLoadFunc )( STREAMDATA * Src , BASEIMAGE * Image ) ) ;
__declspec(dllexport) int __stdcall dx_SubUserGraphLoadFunction4_2( int ( *UserLoadFunc )( STREAMDATA * Src , BASEIMAGE * Image ) ) ;
__declspec(dllexport) int  __stdcall dx_SetUseFastLoadFlag( int  Flag);
__declspec(dllexport) int  __stdcall dx_GetGraphDataShavedMode( void);
__declspec(dllexport) int  __stdcall dx_SetGraphDataShavedMode( int  ShavedMode);
__declspec(dllexport) int  __stdcall dx_InitSoftImage( void);
__declspec(dllexport) int  __stdcall dx_LoadSoftImage( const char *  FileName);
__declspec(dllexport) int __stdcall dx_LoadSoftImageToMem_2( void * FileImage , int FileImageSize ) ;
__declspec(dllexport) int  __stdcall dx_MakeSoftImage( int  SizeX, int  SizeY);
__declspec(dllexport) int  __stdcall dx_MakeARGB8ColorSoftImage( int  SizeX, int  SizeY);
__declspec(dllexport) int  __stdcall dx_MakeXRGB8ColorSoftImage( int  SizeX, int  SizeY);
__declspec(dllexport) int  __stdcall dx_MakeRGB8ColorSoftImage( int  SizeX, int  SizeY);
__declspec(dllexport) int  __stdcall dx_MakePAL8ColorSoftImage( int  SizeX, int  SizeY);
__declspec(dllexport) int  __stdcall dx_DeleteSoftImage( int  SIHandle);
__declspec(dllexport) int  __stdcall dx_GetSoftImageSize( int  SIHandle, int *  Width, int *  Height);
__declspec(dllexport) int  __stdcall dx_CheckPaletteSoftImage( int  SIHandle);
__declspec(dllexport) int  __stdcall dx_CheckAlphaSoftImage( int  SIHandle);
__declspec(dllexport) int  __stdcall dx_FillSoftImage( int  SIHandle, int  r, int  g, int  b, int  a);
__declspec(dllexport) int  __stdcall dx_GetPaletteSoftImage( int  SIHandle, int  PaletteNo, int *  r, int *  g, int *  b, int *  a);
__declspec(dllexport) int  __stdcall dx_SetPaletteSoftImage( int  SIHandle, int  PaletteNo, int  r, int  g, int  b, int  a);
__declspec(dllexport) int  __stdcall dx_DrawPixelPalCodeSoftImage( int  SIHandle, int  x, int  y, int  palNo);
__declspec(dllexport) int  __stdcall dx_GetPixelPalCodeSoftImage( int  SIHandle, int  x, int  y);
__declspec(dllexport) int  __stdcall dx_DrawPixelSoftImage( int  SIHandle, int  x, int  y, int  r, int  g, int  b, int  a);
__declspec(dllexport) int  __stdcall dx_GetPixelSoftImage( int  SIHandle, int  x, int  y, int *  r, int *  g, int *  b, int *  a);
__declspec(dllexport) int  __stdcall dx_DrawLineSoftImage( int  SIHandle, int  x1, int  y1, int  x2, int  y2, int  r, int  g, int  b, int  a);
__declspec(dllexport) int  __stdcall dx_BltSoftImage( int  SrcX, int  SrcY, int  SrcSizeX, int  SrcSizeY, int  SrcSIHandle, int  DestX, int  DestY, int  DestSIHandle);
__declspec(dllexport) int  __stdcall dx_BltStringSoftImage( int  x, int  y, const char *  StrData, int  DestSIHandle, int  DestEdgeSIHandle = -1, int  VerticalFlag = FALSE);
__declspec(dllexport) int  __stdcall dx_BltStringSoftImageToHandle( int  x, int  y, const char *  StrData, int  DestSIHandle, int  DestEdgeSIHandle, int  FontHandle, int  VerticalFlag = FALSE);
__declspec(dllexport) int  __stdcall dx_DrawSoftImage( int  x, int  y, int  SIHandle);
__declspec(dllexport) int  __stdcall dx_SaveSoftImageToBmp( const char *  FilePath, int  SIHandle);
__declspec(dllexport) int  __stdcall dx_SaveSoftImageToPng( const char *  FilePath, int  SIHandle, int  CompressionLevel);
__declspec(dllexport) int  __stdcall dx_SaveSoftImageToJpeg( const char *  FilePath, int  SIHandle, int  Quality, int  Sample2x1);
__declspec(dllexport) int __stdcall dx_CreateBaseImage_2( const char * FileName , void * FileImage , int FileImageSize , int DataType , BASEIMAGE * BaseImage , int ReverseFlag ) ;
__declspec(dllexport) int __stdcall dx_CreateGraphImage_2( const char * FileName , void * DataImage , int DataImageSize , int DataImageType , BASEIMAGE * GraphImage , int ReverseFlag ) ;
__declspec(dllexport) int __stdcall dx_CreateBaseImageToFile_2( const char * FileName , BASEIMAGE * BaseImage , int ReverseFlag = FALSE ) ;
__declspec(dllexport) int __stdcall dx_CreateBaseImageToMem_2( void * FileImage , int FileImageSize , BASEIMAGE * BaseImage , int ReverseFlag = FALSE ) ;
__declspec(dllexport) int __stdcall dx_CreateARGB8ColorBaseImage_2( int SizeX , int SizeY , BASEIMAGE * BaseImage ) ;
__declspec(dllexport) int __stdcall dx_CreateXRGB8ColorBaseImage_2( int SizeX , int SizeY , BASEIMAGE * BaseImage ) ;
__declspec(dllexport) int __stdcall dx_CreateRGB8ColorBaseImage_2( int SizeX , int SizeY , BASEIMAGE * BaseImage ) ;
__declspec(dllexport) int __stdcall dx_CreatePAL8ColorBaseImage_2( int SizeX , int SizeY , BASEIMAGE * BaseImage ) ;
__declspec(dllexport) int __stdcall dx_CreateColorDataBaseImage_2( int SizeX , int SizeY , COLORDATA * ColorData , BASEIMAGE * BaseImage ) ;
__declspec(dllexport) int __stdcall dx_ReleaseBaseImage_2( BASEIMAGE * BaseImage ) ;
__declspec(dllexport) int __stdcall dx_ReleaseGraphImage_2( BASEIMAGE * GraphImage ) ;
__declspec(dllexport) int __stdcall dx_ConvertNormalFormatBaseImage_2( BASEIMAGE * BaseImage ) ;
__declspec(dllexport) int __stdcall dx_FillBaseImage_2( BASEIMAGE * BaseImage , int r , int g , int b , int a ) ;
__declspec(dllexport) int __stdcall dx_ClearRectBaseImage_2( BASEIMAGE * BaseImage , int x , int y , int w , int h ) ;
__declspec(dllexport) int __stdcall dx_GetPaletteBaseImage_2( BASEIMAGE * BaseImage , int PaletteNo , int * r , int * g , int * b , int * a ) ;
__declspec(dllexport) int __stdcall dx_SetPaletteBaseImage_2( BASEIMAGE * BaseImage , int PaletteNo , int r , int g , int b , int a ) ;
__declspec(dllexport) int __stdcall dx_SetPixelPalCodeBaseImage_2( BASEIMAGE * BaseImage , int x , int y , int palNo ) ;
__declspec(dllexport) int __stdcall dx_GetPixelPalCodeBaseImage_2( BASEIMAGE * BaseImage , int x , int y ) ;
__declspec(dllexport) int __stdcall dx_SetPixelBaseImage_2( BASEIMAGE * BaseImage , int x , int y , int r , int g , int b , int a ) ;
__declspec(dllexport) int __stdcall dx_GetPixelBaseImage_2( BASEIMAGE * BaseImage , int x , int y , int * r , int * g , int * b , int * a ) ;
__declspec(dllexport) int __stdcall dx_DrawLineBaseImage_2( BASEIMAGE * BaseImage , int x1 , int y1 , int x2 , int y2 , int r , int g , int b , int a ) ;
__declspec(dllexport) int __stdcall dx_BltBaseImage_2( int SrcX , int SrcY , int SrcSizeX , int SrcSizeY , int DestX , int DestY , BASEIMAGE * SrcBaseImage , BASEIMAGE * DestBaseImage ) ;
__declspec(dllexport) int __stdcall dx_BltBaseImage_4( int DestX , int DestY , BASEIMAGE * SrcBaseImage , BASEIMAGE * DestBaseImage ) ;
__declspec(dllexport) int __stdcall dx_SaveBaseImageToBmp_2( const char * FilePath , BASEIMAGE * BaseImage ) ;
__declspec(dllexport) int __stdcall dx_SaveBaseImageToPng_2( const char * FilePath , BASEIMAGE * BaseImage , int CompressionLevel ) ;
__declspec(dllexport) int __stdcall dx_SaveBaseImageToJpeg_2( const char * FilePath , BASEIMAGE * BaseImage , int Quality , int Sample2x1 ) ;
__declspec(dllexport) int __stdcall dx_GraphColorMatchBltVer2_2( void * DestGraphData , int DestPitch , COLORDATA * DestColorData , void * SrcGraphData , int SrcPitch , COLORDATA * SrcColorData , void * AlphaMask , int AlphaPitch , COLORDATA * AlphaColorData , POINT DestPoint , RECT * SrcRect , int ReverseFlag , int TransColorAlphaTestFlag , unsigned int TransColor , int ImageShavedMode , int AlphaOnlyFlag = FALSE , int RedIsAlphaFlag = FALSE , int TransColorNoMoveFlag = FALSE , int Pal8ColorMatch = FALSE ) ;
__declspec(dllexport) COLOR_F  __stdcall dx_GetColorF( float  Red, float  Green, float  Blue, float  Alpha);
__declspec(dllexport) COLOR_U8  __stdcall dx_GetColorU8( int  Red, int  Green, int  Blue, int  Alpha);
__declspec(dllexport) int __stdcall dx_GetColor( int  Red, int  Green, int  Blue);
__declspec(dllexport) int  __stdcall dx_GetColor2( int  Color, int *  Red, int *  Green, int *  Blue);
__declspec(dllexport) int  __stdcall dx_GetColor3( COLORDATA *  ColorData, int  Red, int  Green, int  Blue, int  Alpha = 255);
__declspec(dllexport) int  __stdcall dx_GetColor4( COLORDATA *  DestColorData, COLORDATA *  SrcColorData, int  SrcColor);
__declspec(dllexport) int  __stdcall dx_GetColor5( COLORDATA *  ColorData, int  Color, int *  Red, int *  Green, int *  Blue, int *  Alpha = NULL);
__declspec(dllexport) int  __stdcall dx_CreatePaletteColorData( COLORDATA *  ColorDataBuf);
__declspec(dllexport) int  __stdcall dx_CreateXRGB8ColorData( COLORDATA *  ColorDataBuf);
__declspec(dllexport) int  __stdcall dx_CreateARGB8ColorData( COLORDATA *  ColorDataBuf);
__declspec(dllexport) int  __stdcall dx_CreateFullColorData( COLORDATA *  ColorDataBuf);
__declspec(dllexport) int  __stdcall dx_CreateGrayColorData( COLORDATA *  ColorDataBuf);
__declspec(dllexport) int  __stdcall dx_CreatePal8ColorData( COLORDATA *  ColorDataBuf);
__declspec(dllexport) int  __stdcall dx_CreateColorData( COLORDATA *  ColorDataBuf, int  ColorBitDepth, DWORD  RedMask, DWORD  GreenMask, DWORD  BlueMask, DWORD  AlphaMask);
__declspec(dllexport) void  __stdcall dx_SetColorDataNoneMask( COLORDATA *  ColorData);
__declspec(dllexport) int  __stdcall dx_CmpColorData( COLORDATA *  ColorData1, COLORDATA *  ColorData2);
__declspec(dllexport) int  __stdcall dx_InitSoundMem( int  LogOutFlag = FALSE);
__declspec(dllexport) int  __stdcall dx_AddSoundData( int  Handle = -1);
__declspec(dllexport) int __stdcall dx_AddStreamSoundMem_2( STREAMDATA * Stream , int LoopNum , int SoundHandle , int StreamDataType , int * CanStreamCloseFlag , int UnionHandle = -1 ) ;
__declspec(dllexport) int __stdcall dx_AddStreamSoundMemToMem_2( void * FileImageBuffer , int ImageSize , int LoopNum , int SoundHandle , int StreamDataType , int UnionHandle = -1 ) ;
__declspec(dllexport) int  __stdcall dx_AddStreamSoundMemToFile( const char *  WaveFile, int  LoopNum, int  SoundHandle, int  StreamDataType, int  UnionHandle = -1);
__declspec(dllexport) int  __stdcall dx_SetupStreamSoundMem( int  SoundHandle);
__declspec(dllexport) int  __stdcall dx_PlayStreamSoundMem( int  SoundHandle, int  PlayType = DX_PLAYTYPE_LOOP, int  TopPositionFlag = TRUE);
__declspec(dllexport) int  __stdcall dx_CheckStreamSoundMem( int  SoundHandle);
__declspec(dllexport) int  __stdcall dx_StopStreamSoundMem( int  SoundHandle);
__declspec(dllexport) int  __stdcall dx_SetStreamSoundCurrentPosition( int  Byte, int  SoundHandle);
__declspec(dllexport) int  __stdcall dx_GetStreamSoundCurrentPosition( int  SoundHandle);
__declspec(dllexport) int  __stdcall dx_SetStreamSoundCurrentTime( int  Time, int  SoundHandle);
__declspec(dllexport) int  __stdcall dx_GetStreamSoundCurrentTime( int  SoundHandle);
__declspec(dllexport) int  __stdcall dx_ProcessStreamSoundMem( int  SoundHandle);
__declspec(dllexport) int  __stdcall dx_ProcessStreamSoundMemAll( void);
__declspec(dllexport) int  __stdcall dx_LoadSoundMem2( const char *  WaveName1, const char *  WaveName2);
__declspec(dllexport) int  __stdcall dx_LoadBGM( const char *  WaveName);
__declspec(dllexport) int  __stdcall dx_LoadSoundMemBase( const char *  WaveName, int  BufferNum, int  UnionHandle = -1);
__declspec(dllexport) int  __stdcall dx_LoadSoundMem( const char *  WaveName, int  BufferNum = 3, int  UnionHandle = -1);
__declspec(dllexport) int  __stdcall dx_LoadSoundMemToBufNumSitei( const char *  WaveName, int  BufferNum);
__declspec(dllexport) int  __stdcall dx_LoadSoundMemByResource( const char *  ResourceName, const char *  ResourceType, int  BufferNum = 1);
__declspec(dllexport) int __stdcall dx_LoadSoundMemByMemImageBase_2( void * FileImageBuffer , int ImageSize , int BufferNum , int UnionHandle = -1 ) ;
__declspec(dllexport) int __stdcall dx_LoadSoundMemByMemImage_2( void * FileImageBuffer , int ImageSize , int UnionHandle = -1 ) ;
__declspec(dllexport) int __stdcall dx_LoadSoundMemByMemImage2_2( void * UData , int UDataSize , WAVEFORMATEX * UFormat , int UHeaderSize ) ;
__declspec(dllexport) int __stdcall dx_LoadSoundMemByMemImageToBufNumSitei_2( void * FileImageBuffer , int ImageSize , int BufferNum ) ;
__declspec(dllexport) int __stdcall dx_LoadSoundMem2ByMemImage_2( void * FileImageBuffer1 , int ImageSize1 , void * FileImageBuffer2 , int ImageSize2 ) ;
__declspec(dllexport) int  __stdcall dx_DeleteSoundMem( int  SoundHandle, int  LogOutFlag = FALSE);
__declspec(dllexport) int  __stdcall dx_PlaySoundMem( int  SoundHandle, int  PlayType, int  TopPositionFlag = TRUE);
__declspec(dllexport) int  __stdcall dx_StopSoundMem( int  SoundHandle);
__declspec(dllexport) int  __stdcall dx_CheckSoundMem( int  SoundHandle);
__declspec(dllexport) int  __stdcall dx_SetPanSoundMem( int  PanPal, int  SoundHandle);
__declspec(dllexport) int  __stdcall dx_SetVolumeSoundMem( int  VolumePal, int  SoundHandle);
__declspec(dllexport) int  __stdcall dx_ChangeVolumeSoundMem( int  VolumePal, int  SoundHandle);
__declspec(dllexport) int  __stdcall dx_GetVolumeSoundMem( int  SoundHandle);
__declspec(dllexport) int  __stdcall dx_SetFrequencySoundMem( int  FrequencyPal, int  SoundHandle);
__declspec(dllexport) int  __stdcall dx_GetFrequencySoundMem( int  SoundHandle);
__declspec(dllexport) int  __stdcall dx_SetSoundCurrentPosition( int  Byte, int  SoundHandle);
__declspec(dllexport) int  __stdcall dx_GetSoundCurrentPosition( int  SoundHandle);
__declspec(dllexport) int  __stdcall dx_SetSoundCurrentTime( int  Time, int  SoundHandle);
__declspec(dllexport) int  __stdcall dx_GetSoundCurrentTime( int  SoundHandle);
__declspec(dllexport) int  __stdcall dx_GetSoundTotalSample( int  SoundHandle);
__declspec(dllexport) int  __stdcall dx_GetSoundTotalTime( int  SoundHandle);
__declspec(dllexport) int  __stdcall dx_SetLoopPosSoundMem( int  LoopTime, int  SoundHandle);
__declspec(dllexport) int  __stdcall dx_SetLoopTimePosSoundMem( int  LoopTime, int  SoundHandle);
__declspec(dllexport) int  __stdcall dx_SetLoopSamplePosSoundMem( int  LoopSamplePosition, int  SoundHandle);
__declspec(dllexport) int  __stdcall dx_SetCreateSoundDataType( int  SoundDataType);
__declspec(dllexport) int  __stdcall dx_GetCreateSoundDataType( void);
__declspec(dllexport) int  __stdcall dx_SetEnableSoundCaptureFlag( int  Flag);
__declspec(dllexport) void * __stdcall dx_GetDSoundObj( void );
__declspec(dllexport) int  __stdcall dx_PlaySoundFile( const char *  FileName, int  PlayType);
__declspec(dllexport) int  __stdcall dx_PlaySound( const char *  FileName, int  PlayType);
__declspec(dllexport) int  __stdcall dx_CheckSoundFile( void);
__declspec(dllexport) int  __stdcall dx_CheckSound( void);
__declspec(dllexport) int  __stdcall dx_StopSoundFile( void);
__declspec(dllexport) int  __stdcall dx_StopSound( void);
__declspec(dllexport) int  __stdcall dx_SetVolumeSoundFile( int  VolumePal);
__declspec(dllexport) int  __stdcall dx_SetVolumeSound( int  VolumePal);
__declspec(dllexport) int  __stdcall dx_AddMusicData( void);
__declspec(dllexport) int  __stdcall dx_DeleteMusicMem( int  MusicHandle);
__declspec(dllexport) int  __stdcall dx_LoadMusicMem( const char *  FileName);
__declspec(dllexport) int __stdcall dx_LoadMusicMemByMemImage_2( void * FileImageBuffer , int FileImageSize ) ;
__declspec(dllexport) int  __stdcall dx_LoadMusicMemByResource( const char *  ResourceName, const char *  ResourceType);
__declspec(dllexport) int  __stdcall dx_PlayMusicMem( int  MusicHandle, int  PlayType);
__declspec(dllexport) int  __stdcall dx_StopMusicMem( int  MusicHandle);
__declspec(dllexport) int  __stdcall dx_CheckMusicMem( int  MusicHandle);
__declspec(dllexport) int  __stdcall dx_GetMusicMemPosition( int  MusicHandle);
__declspec(dllexport) int  __stdcall dx_InitMusicMem( void);
__declspec(dllexport) int  __stdcall dx_ProcessMusicMem( void);
__declspec(dllexport) int  __stdcall dx_PlayMusic( const char *  FileName, int  PlayType);
__declspec(dllexport) int __stdcall dx_PlayMusicByMemImage_2( void * FileImageBuffer , int FileImageSize , int PlayType ) ;
__declspec(dllexport) int  __stdcall dx_PlayMusicByResource( const char *  ResourceName, const char *  ResourceType, int  PlayType);
__declspec(dllexport) int  __stdcall dx_SetVolumeMusic( int  Volume);
__declspec(dllexport) int  __stdcall dx_StopMusic( void);
__declspec(dllexport) int  __stdcall dx_CheckMusic( void);
__declspec(dllexport) int  __stdcall dx_GetMusicPosition( void);
__declspec(dllexport) int  __stdcall dx_SelectMidiMode( int  Mode);
__declspec(dllexport) int  __stdcall dx_DXArchivePreLoad( const char *  FilePath, int  ASync = FALSE);
__declspec(dllexport) int  __stdcall dx_DXArchiveCheckIdle( const char *  FilePath);
__declspec(dllexport) int  __stdcall dx_DXArchiveRelease( const char *  FilePath);
__declspec(dllexport) int  __stdcall dx_DXArchiveCheckFile( const char *  FilePath, const char *  TargetFilePath);
__declspec(dllexport) int  __stdcall dx_MV1LoadModel( const char *  FileName);
__declspec(dllexport) int  __stdcall dx_MV1DuplicateModel( int  SrcMHandle);
__declspec(dllexport) int  __stdcall dx_MV1DeleteModel( int  MHandle);
__declspec(dllexport) int  __stdcall dx_MV1SetLoadModelReMakeNormal( int  Flag);
__declspec(dllexport) int  __stdcall dx_MV1SetLoadModelReMakeNormalSmoothingAngle( float  SmoothingAngle = 1.562069f);
__declspec(dllexport) int  __stdcall dx_MV1SetLoadModelPositionOptimize( int  Flag);
__declspec(dllexport) int  __stdcall dx_MV1DrawModel( int  MHandle);
__declspec(dllexport) int  __stdcall dx_MV1DrawFrame( int  MHandle, int  FrameIndex);
__declspec(dllexport) int  __stdcall dx_MV1DrawMesh( int  MHandle, int  MeshIndex);
__declspec(dllexport) int  __stdcall dx_MV1DrawModelDebug( int  MHandle, int  Color, int  IsNormalLine, float  NormalLineLength, int  IsPolyLine, int  IsCollisionBox);
__declspec(dllexport) MATRIX  __stdcall dx_MV1GetLocalWorldMatrix( int  MHandle);
__declspec(dllexport) int  __stdcall dx_MV1SetPosition( int  MHandle, VECTOR  Position);
__declspec(dllexport) VECTOR  __stdcall dx_MV1GetPosition( int  MHandle);
__declspec(dllexport) int  __stdcall dx_MV1SetScale( int  MHandle, VECTOR  Scale);
__declspec(dllexport) VECTOR  __stdcall dx_MV1GetScale( int  MHandle);
__declspec(dllexport) int  __stdcall dx_MV1SetRotationXYZ( int  MHandle, VECTOR  Rotate);
__declspec(dllexport) VECTOR  __stdcall dx_MV1GetRotationXYZ( int  MHandle);
__declspec(dllexport) int  __stdcall dx_MV1SetRotationZYAxis( int  MHandle, VECTOR  ZAxisDirection, VECTOR  YAxisDirection, float  ZAxisTwistRotate);
__declspec(dllexport) int  __stdcall dx_MV1SetRotationMatrix( int  MHandle, MATRIX  Matrix);
__declspec(dllexport) MATRIX  __stdcall dx_MV1GetRotationMatrix( int  MHandle);
__declspec(dllexport) int  __stdcall dx_MV1SetMatrix( int  MHandle, MATRIX  Matrix);
__declspec(dllexport) MATRIX  __stdcall dx_MV1GetMatrix( int  MHandle);
__declspec(dllexport) int  __stdcall dx_MV1SetVisible( int  MHandle, int  VisibleFlag);
__declspec(dllexport) int  __stdcall dx_MV1GetVisible( int  MHandle);
__declspec(dllexport) int  __stdcall dx_MV1SetDifColorScale( int  MHandle, COLOR_F  Scale);
__declspec(dllexport) COLOR_F  __stdcall dx_MV1GetDifColorScale( int  MHandle);
__declspec(dllexport) int  __stdcall dx_MV1SetSpcColorScale( int  MHandle, COLOR_F  Scale);
__declspec(dllexport) COLOR_F  __stdcall dx_MV1GetSpcColorScale( int  MHandle);
__declspec(dllexport) int  __stdcall dx_MV1SetEmiColorScale( int  MHandle, COLOR_F  Scale);
__declspec(dllexport) COLOR_F  __stdcall dx_MV1GetEmiColorScale( int  MHandle);
__declspec(dllexport) int  __stdcall dx_MV1SetAmbColorScale( int  MHandle, COLOR_F  Scale);
__declspec(dllexport) COLOR_F  __stdcall dx_MV1GetAmbColorScale( int  MHandle);
__declspec(dllexport) int  __stdcall dx_MV1GetSemiTransState( int  MHandle);
__declspec(dllexport) int  __stdcall dx_MV1SetOpacityRate( int  MHandle, float  Rate);
__declspec(dllexport) float  __stdcall dx_MV1GetOpacityRate( int  MHandle);
__declspec(dllexport) int  __stdcall dx_MV1SetUseZBuffer( int  MHandle, int  Flag);
__declspec(dllexport) int  __stdcall dx_MV1SetWriteZBuffer( int  MHandle, int  Flag);
__declspec(dllexport) int  __stdcall dx_MV1SetZBufferCmpType( int  MHandle, int  CmpType);
__declspec(dllexport) int  __stdcall dx_MV1SetZBias( int  MHandle, int  Bias);
__declspec(dllexport) int  __stdcall dx_MV1SetUseVertDifColor( int  MHandle, int  UseFlag);
__declspec(dllexport) int  __stdcall dx_MV1SetUseVertSpcColor( int  MHandle, int  UseFlag);
__declspec(dllexport) int  __stdcall dx_MV1SetSampleFilterMode( int  MHandle, int  FilterMode);
__declspec(dllexport) int  __stdcall dx_MV1SetMaxAnisotropy( int  MHandle, int  MaxAnisotropy);
__declspec(dllexport) int  __stdcall dx_MV1AttachAnim( int  MHandle, int  AnimIndex, int  AnimSrcMHandle = -1, int  NameCheck = TRUE);
__declspec(dllexport) int  __stdcall dx_MV1DetachAnim( int  MHandle, int  AttachIndex);
__declspec(dllexport) int  __stdcall dx_MV1SetAttachAnimTime( int  MHandle, int  AttachIndex, float  Time);
__declspec(dllexport) float  __stdcall dx_MV1GetAttachAnimTime( int  MHandle, int  AttachIndex);
__declspec(dllexport) float  __stdcall dx_MV1GetAttachAnimTotalTime( int  MHandle, int  AttachIndex);
__declspec(dllexport) int  __stdcall dx_MV1SetAttachAnimBlendRate( int  MHandle, int  AttachIndex, float  Rate = 1.0f);
__declspec(dllexport) float  __stdcall dx_MV1GetAttachAnimBlendRate( int  MHandle, int  AttachIndex);
__declspec(dllexport) int  __stdcall dx_MV1GetAttachAnim( int  MHandle, int  AttachIndex);
__declspec(dllexport) int  __stdcall dx_MV1GetAnimNum( int  MHandle);
__declspec(dllexport) const char * __stdcall dx_MV1GetAnimName( int MHandle , int AnimIndex ) ;
__declspec(dllexport) int  __stdcall dx_MV1GetAnimIndex( int  MHandle, const char *  AnimName);
__declspec(dllexport) float  __stdcall dx_MV1GetAnimTotalTime( int  MHandle, int  AnimIndex);
__declspec(dllexport) int  __stdcall dx_MV1GetAnimTargetFrameNum( int  MHandle, int  AnimIndex);
__declspec(dllexport) const char * __stdcall dx_MV1GetAnimTargetFrameName( int MHandle , int AnimIndex , int AnimFrameIndex ) ;
__declspec(dllexport) int  __stdcall dx_MV1GetAnimTargetFrame( int  MHandle, int  AnimIndex, int  AnimFrameIndex);
__declspec(dllexport) int  __stdcall dx_MV1GetAnimTargetFrameKeySetNum( int  MHandle, int  AnimIndex, int  AnimFrameIndex);
__declspec(dllexport) int  __stdcall dx_MV1GetAnimTargetFrameKeySet( int  MHandle, int  AnimIndex, int  AnimFrameIndex, int  Index);
__declspec(dllexport) int  __stdcall dx_MV1GetAnimKeySetNum( int  MHandle);
__declspec(dllexport) int  __stdcall dx_MV1GetAnimKeySetType( int  MHandle, int  AnimKeySetIndex);
__declspec(dllexport) int  __stdcall dx_MV1GetAnimKeySetDataType( int  MHandle, int  AnimKeySetIndex);
__declspec(dllexport) int  __stdcall dx_MV1GetAnimKeySetTimeType( int  MHandle, int  AnimKeySetIndex);
__declspec(dllexport) int  __stdcall dx_MV1GetAnimKeySetDataNum( int  MHandle, int  AnimKeySetIndex);
__declspec(dllexport) float  __stdcall dx_MV1GetAnimKeyDataTime( int  MHandle, int  AnimKeySetIndex, int  Index);
__declspec(dllexport) FLOAT4  __stdcall dx_MV1GetAnimKeyDataToQuaternion( int  MHandle, int  AnimKeySetIndex, int  Index);
__declspec(dllexport) VECTOR  __stdcall dx_MV1GetAnimKeyDataToVector( int  MHandle, int  AnimKeySetIndex, int  Index);
__declspec(dllexport) MATRIX  __stdcall dx_MV1GetAnimKeyDataToMatrix( int  MHandle, int  AnimKeySetIndex, int  Index);
__declspec(dllexport) float  __stdcall dx_MV1GetAnimKeyDataToFlat( int  MHandle, int  AnimKeySetIndex, int  Index);
__declspec(dllexport) float  __stdcall dx_MV1GetAnimKeyDataToLinear( int  MHandle, int  AnimKeySetIndex, int  Index);
__declspec(dllexport) int  __stdcall dx_MV1GetMaterialNum( int  MHandle);
__declspec(dllexport) const char * __stdcall dx_MV1GetMaterialName( int MHandle , int MaterialIndex ) ;
__declspec(dllexport) int  __stdcall dx_MV1SetMaterialDifColor( int  MHandle, int  MaterialIndex, COLOR_F  Color);
__declspec(dllexport) COLOR_F  __stdcall dx_MV1GetMaterialDifColor( int  MHandle, int  MaterialIndex);
__declspec(dllexport) int  __stdcall dx_MV1SetMaterialSpcColor( int  MHandle, int  MaterialIndex, COLOR_F  Color);
__declspec(dllexport) COLOR_F  __stdcall dx_MV1GetMaterialSpcColor( int  MHandle, int  MaterialIndex);
__declspec(dllexport) int  __stdcall dx_MV1SetMaterialEmiColor( int  MHandle, int  MaterialIndex, COLOR_F  Color);
__declspec(dllexport) COLOR_F  __stdcall dx_MV1GetMaterialEmiColor( int  MHandle, int  MaterialIndex);
__declspec(dllexport) int  __stdcall dx_MV1SetMaterialAmbColor( int  MHandle, int  MaterialIndex, COLOR_F  Color);
__declspec(dllexport) COLOR_F  __stdcall dx_MV1GetMaterialAmbColor( int  MHandle, int  MaterialIndex);
__declspec(dllexport) int  __stdcall dx_MV1SetMaterialSpcPower( int  MHandle, int  MaterialIndex, float  Power);
__declspec(dllexport) float  __stdcall dx_MV1GetMaterialSpcPower( int  MHandle, int  MaterialIndex);
__declspec(dllexport) int  __stdcall dx_MV1SetMaterialDifMapTexture( int  MHandle, int  MaterialIndex, int  TexIndex);
__declspec(dllexport) int  __stdcall dx_MV1GetMaterialDifMapTexture( int  MHandle, int  MaterialIndex);
__declspec(dllexport) int  __stdcall dx_MV1SetMaterialSpcMapTexture( int  MHandle, int  MaterialIndex, int  TexIndex);
__declspec(dllexport) int  __stdcall dx_MV1GetMaterialSpcMapTexture( int  MHandle, int  MaterialIndex);
__declspec(dllexport) int  __stdcall dx_MV1GetMaterialNormalMapTexture( int  MHandle, int  MaterialIndex);
__declspec(dllexport) int  __stdcall dx_MV1SetMaterialDrawBlendMode( int  MHandle, int  MaterialIndex, int  BlendMode);
__declspec(dllexport) int  __stdcall dx_MV1GetMaterialDrawBlendMode( int  MHandle, int  MaterialIndex);
__declspec(dllexport) int  __stdcall dx_MV1SetMaterialDrawBlendParam( int  MHandle, int  MaterialIndex, int  BlendParam);
__declspec(dllexport) int  __stdcall dx_MV1GetMaterialDrawBlendParam( int  MHandle, int  MaterialIndex);
__declspec(dllexport) int  __stdcall dx_MV1GetTextureNum( int  MHandle);
__declspec(dllexport) const char * __stdcall dx_MV1GetTextureName( int MHandle , int TexIndex ) ;
__declspec(dllexport) int  __stdcall dx_MV1SetTextureColorFilePath( int  MHandle, int  TexIndex, const char *  FilePath);
__declspec(dllexport) const char * __stdcall dx_MV1GetTextureColorFilePath( int MHandle , int TexIndex ) ;
__declspec(dllexport) int  __stdcall dx_MV1SetTextureAlphaFilePath( int  MHandle, int  TexIndex, const char *  FilePath);
__declspec(dllexport) const char * __stdcall dx_MV1GetTextureAlphaFilePath( int MHandle , int TexIndex ) ;
__declspec(dllexport) int  __stdcall dx_MV1SetTextureGraphHandle( int  MHandle, int  TexIndex, int  GrHandle, int  SemiTransFlag);
__declspec(dllexport) int  __stdcall dx_MV1GetTextureGraphHandle( int  MHandle, int  TexIndex);
__declspec(dllexport) int  __stdcall dx_MV1SetTextureAddressMode( int  MHandle, int  TexIndex, int  AddrUMode, int  AddrVMode);
__declspec(dllexport) int  __stdcall dx_MV1GetTextureAddressModeU( int  MHandle, int  TexIndex);
__declspec(dllexport) int  __stdcall dx_MV1GetTextureAddressModeV( int  MHandle, int  TexIndex);
__declspec(dllexport) int  __stdcall dx_MV1GetTextureWidth( int  MHandle, int  TexIndex);
__declspec(dllexport) int  __stdcall dx_MV1GetTextureHeight( int  MHandle, int  TexIndex);
__declspec(dllexport) int  __stdcall dx_MV1GetTextureSemiTransState( int  MHandle, int  TexIndex);
__declspec(dllexport) int  __stdcall dx_MV1SetTextureBumpImageFlag( int  MHandle, int  TexIndex, int  Flag);
__declspec(dllexport) int  __stdcall dx_MV1GetTextureBumpImageFlag( int  MHandle, int  TexIndex);
__declspec(dllexport) int  __stdcall dx_MV1SetTextureBumpImageNextPixelLength( int  MHandle, int  TexIndex, float  Length);
__declspec(dllexport) float  __stdcall dx_MV1GetTextureBumpImageNextPixelLength( int  MHandle, int  TexIndex);
__declspec(dllexport) int  __stdcall dx_MV1SetTextureSampleFilterMode( int  MHandle, int  TexIndex, int  FilterMode);
__declspec(dllexport) int  __stdcall dx_MV1GetTextureSampleFilterMode( int  MHandle, int  TexIndex);
__declspec(dllexport) int  __stdcall dx_MV1GetFrameNum( int  MHandle);
__declspec(dllexport) int  __stdcall dx_MV1SearchFrame( int  MHandle, const char *  FrameName);
__declspec(dllexport) int  __stdcall dx_MV1SearchFrameChild( int  MHandle, int  FrameIndex = -1, const char *  ChildName = NULL);
__declspec(dllexport) const char * __stdcall dx_MV1GetFrameName( int MHandle , int FrameIndex ) ;
__declspec(dllexport) int  __stdcall dx_MV1GetFrameParent( int  MHandle, int  FrameIndex);
__declspec(dllexport) int  __stdcall dx_MV1GetFrameChildNum( int  MHandle, int  FrameIndex = -1);
__declspec(dllexport) int  __stdcall dx_MV1GetFrameChild( int  MHandle, int  FrameIndex = -1, int  ChildIndex = 0);
__declspec(dllexport) VECTOR  __stdcall dx_MV1GetFramePosition( int  MHandle, int  FrameIndex);
__declspec(dllexport) MATRIX  __stdcall dx_MV1GetFrameBaseLocalMatrix( int  MHandle, int  FrameIndex);
__declspec(dllexport) MATRIX  __stdcall dx_MV1GetFrameLocalMatrix( int  MHandle, int  FrameIndex);
__declspec(dllexport) MATRIX  __stdcall dx_MV1GetFrameLocalWorldMatrix( int  MHandle, int  FrameIndex);
__declspec(dllexport) int  __stdcall dx_MV1SetFrameUserLocalMatrix( int  MHandle, int  FrameIndex, MATRIX  Matrix);
__declspec(dllexport) int  __stdcall dx_MV1ResetFrameUserLocalMatrix( int  MHandle, int  FrameIndex);
__declspec(dllexport) VECTOR  __stdcall dx_MV1GetFrameMaxVertexLocalPosition( int  MHandle, int  FrameIndex);
__declspec(dllexport) VECTOR  __stdcall dx_MV1GetFrameMinVertexLocalPosition( int  MHandle, int  FrameIndex);
__declspec(dllexport) VECTOR  __stdcall dx_MV1GetFrameAvgVertexLocalPosition( int  MHandle, int  FrameIndex);
__declspec(dllexport) int  __stdcall dx_MV1GetFrameTriangleNum( int  MHandle, int  FrameIndex);
__declspec(dllexport) int  __stdcall dx_MV1GetFrameMeshNum( int  MHandle, int  FrameIndex);
__declspec(dllexport) int  __stdcall dx_MV1GetFrameMesh( int  MHandle, int  FrameIndex, int  Index);
__declspec(dllexport) int  __stdcall dx_MV1SetFrameVisible( int  MHandle, int  FrameIndex, int  VisibleFlag);
__declspec(dllexport) int  __stdcall dx_MV1GetFrameVisible( int  MHandle, int  FrameIndex);
__declspec(dllexport) int  __stdcall dx_MV1SetFrameDifColorScale( int  MHandle, int  FrameIndex, COLOR_F  Scale);
__declspec(dllexport) int  __stdcall dx_MV1SetFrameSpcColorScale( int  MHandle, int  FrameIndex, COLOR_F  Scale);
__declspec(dllexport) int  __stdcall dx_MV1SetFrameEmiColorScale( int  MHandle, int  FrameIndex, COLOR_F  Scale);
__declspec(dllexport) int  __stdcall dx_MV1SetFrameAmbColorScale( int  MHandle, int  FrameIndex, COLOR_F  Scale);
__declspec(dllexport) COLOR_F  __stdcall dx_MV1GetFrameDifColorScale( int  MHandle, int  FrameIndex);
__declspec(dllexport) COLOR_F  __stdcall dx_MV1GetFrameSpcColorScale( int  MHandle, int  FrameIndex);
__declspec(dllexport) COLOR_F  __stdcall dx_MV1GetFrameEmiColorScale( int  MHandle, int  FrameIndex);
__declspec(dllexport) COLOR_F  __stdcall dx_MV1GetFrameAmbColorScale( int  MHandle, int  FrameIndex);
__declspec(dllexport) int  __stdcall dx_MV1GetFrameSemiTransState( int  MHandle, int  FrameIndex);
__declspec(dllexport) int  __stdcall dx_MV1SetFrameOpacityRate( int  MHandle, int  FrameIndex, float  Rate);
__declspec(dllexport) float  __stdcall dx_MV1GetFrameOpacityRate( int  MHandle, int  FrameIndex);
__declspec(dllexport) int  __stdcall dx_MV1SetFrameBaseVisible( int  MHandle, int  FrameIndex, int  VisibleFlag);
__declspec(dllexport) int  __stdcall dx_MV1GetFrameBaseVisible( int  MHandle, int  FrameIndex);
__declspec(dllexport) int  __stdcall dx_MV1SetFrameTextureAddressTransform( int  MHandle, int  FrameIndex, float  TransU, float  TransV, float  ScaleU, float  ScaleV, float  RotCenterU, float  RotCenterV, float  Rotate);
__declspec(dllexport) int  __stdcall dx_MV1SetFrameTextureAddressTransformMatrix( int  MHandle, int  FrameIndex, MATRIX  Matrix);
__declspec(dllexport) int  __stdcall dx_MV1ResetFrameTextureAddressTransform( int  MHandle, int  FrameIndex);
__declspec(dllexport) int  __stdcall dx_MV1GetMeshNum( int  MHandle);
__declspec(dllexport) int  __stdcall dx_MV1GetMeshMaterial( int  MHandle, int  MeshIndex);
__declspec(dllexport) int  __stdcall dx_MV1GetMeshTriangleNum( int  MHandle, int  MeshIndex);
__declspec(dllexport) int  __stdcall dx_MV1SetMeshVisible( int  MHandle, int  MeshIndex, int  VisibleFlag);
__declspec(dllexport) int  __stdcall dx_MV1GetMeshVisible( int  MHandle, int  MeshIndex);
__declspec(dllexport) int  __stdcall dx_MV1SetMeshDifColorScale( int  MHandle, int  MeshIndex, COLOR_F  Scale);
__declspec(dllexport) int  __stdcall dx_MV1SetMeshSpcColorScale( int  MHandle, int  MeshIndex, COLOR_F  Scale);
__declspec(dllexport) int  __stdcall dx_MV1SetMeshEmiColorScale( int  MHandle, int  MeshIndex, COLOR_F  Scale);
__declspec(dllexport) int  __stdcall dx_MV1SetMeshAmbColorScale( int  MHandle, int  MeshIndex, COLOR_F  Scale);
__declspec(dllexport) COLOR_F  __stdcall dx_MV1GetMeshDifColorScale( int  MHandle, int  MeshIndex);
__declspec(dllexport) COLOR_F  __stdcall dx_MV1GetMeshSpcColorScale( int  MHandle, int  MeshIndex);
__declspec(dllexport) COLOR_F  __stdcall dx_MV1GetMeshEmiColorScale( int  MHandle, int  MeshIndex);
__declspec(dllexport) COLOR_F  __stdcall dx_MV1GetMeshAmbColorScale( int  MHandle, int  MeshIndex);
__declspec(dllexport) int  __stdcall dx_MV1SetMeshOpacityRate( int  MHandle, int  MeshIndex, float  Rate);
__declspec(dllexport) float  __stdcall dx_MV1GetMeshOpacityRate( int  MHandle, int  MeshIndex);
__declspec(dllexport) int  __stdcall dx_MV1SetMeshDrawBlendMode( int  MHandle, int  MeshIndex, int  BlendMode);
__declspec(dllexport) int  __stdcall dx_MV1SetMeshDrawBlendParam( int  MHandle, int  MeshIndex, int  BlendParam);
__declspec(dllexport) int  __stdcall dx_MV1GetMeshDrawBlendMode( int  MHandle, int  MeshIndex);
__declspec(dllexport) int  __stdcall dx_MV1GetMeshDrawBlendParam( int  MHandle, int  MeshIndex);
__declspec(dllexport) int  __stdcall dx_MV1SetMeshBaseVisible( int  MHandle, int  MeshIndex, int  VisibleFlag);
__declspec(dllexport) int  __stdcall dx_MV1GetMeshBaseVisible( int  MHandle, int  MeshIndex);
__declspec(dllexport) int  __stdcall dx_MV1SetMeshBackCulling( int  MHandle, int  MeshIndex, int  CullingFlag);
__declspec(dllexport) int  __stdcall dx_MV1GetMeshBackCulling( int  MHandle, int  MeshIndex);
__declspec(dllexport) VECTOR  __stdcall dx_MV1GetMeshMaxPosition( int  MHandle, int  MeshIndex);
__declspec(dllexport) VECTOR  __stdcall dx_MV1GetMeshMinPosition( int  MHandle, int  MeshIndex);
__declspec(dllexport) int  __stdcall dx_MV1GetMeshTListNum( int  MHandle, int  MeshIndex);
__declspec(dllexport) int  __stdcall dx_MV1GetMeshTList( int  MHandle, int  MeshIndex, int  Index);
__declspec(dllexport) int  __stdcall dx_MV1GetMeshSemiTransState( int  MHandle, int  MeshIndex);
__declspec(dllexport) int  __stdcall dx_MV1SetMeshUseVertDifColor( int  MHandle, int  MeshIndex, int  UseFlag);
__declspec(dllexport) int  __stdcall dx_MV1SetMeshUseVertSpcColor( int  MHandle, int  MeshIndex, int  UseFlag);
__declspec(dllexport) int  __stdcall dx_MV1GetMeshUseVertDifColor( int  MHandle, int  MeshIndex);
__declspec(dllexport) int  __stdcall dx_MV1GetMeshUseVertSpcColor( int  MHandle, int  MeshIndex);
__declspec(dllexport) int  __stdcall dx_MV1GetTriangleListNum( int  MHandle);
__declspec(dllexport) int  __stdcall dx_MV1GetTriangleListVertexType( int  MHandle, int  TListIndex);
__declspec(dllexport) int  __stdcall dx_MV1GetTriangleListPolygonNum( int  MHandle, int  TListIndex);
__declspec(dllexport) int  __stdcall dx_MV1GetTriangleListVertexNum( int  MHandle, int  TListIndex);
__declspec(dllexport) int  __stdcall dx_MV1SetupCollInfo( int  MHandle, int  FrameIndex = -1, int  XDivNum = 32, int  YDivNum = 8, int  ZDivNum = 32);
__declspec(dllexport) int  __stdcall dx_MV1TerminateCollInfo( int  MHandle, int  FrameIndex = -1);
__declspec(dllexport) int  __stdcall dx_MV1RefreshCollInfo( int  MHandle, int  FrameIndex = -1);
__declspec(dllexport) MV1_COLL_RESULT_POLY  __stdcall dx_MV1CollCheck_Line( int  MHandle, int  FrameIndex, VECTOR  PosStart, VECTOR  PosEnd);
__declspec(dllexport) MV1_COLL_RESULT_POLY_DIM  __stdcall dx_MV1CollCheck_Sphere( int  MHandle, int  FrameIndex, VECTOR  CenterPos, float  r);
__declspec(dllexport) MV1_COLL_RESULT_POLY_DIM  __stdcall dx_MV1CollCheck_Capsule( int  MHandle, int  FrameIndex, VECTOR  Pos1, VECTOR  Pos2, float  r);
__declspec(dllexport) MV1_COLL_RESULT_POLY  __stdcall dx_MV1CollCheck_GetResultPoly( MV1_COLL_RESULT_POLY_DIM  ResultPolyDim, int  PolyNo);
__declspec(dllexport) int  __stdcall dx_MV1CollResultPolyDimTerminate( MV1_COLL_RESULT_POLY_DIM  ResultPolyDim);
__declspec(dllexport) int  __stdcall dx_MV1SetupReferenceMesh( int  MHandle, int  FrameIndex, int  IsTransform);
__declspec(dllexport) int  __stdcall dx_MV1TerminateReferenceMesh( int  MHandle, int  FrameIndex, int  IsTransform);
__declspec(dllexport) int  __stdcall dx_MV1RefreshReferenceMesh( int  MHandle, int  FrameIndex, int  IsTransform);
__declspec(dllexport) MV1_REF_POLYGONLIST __stdcall dx_MV1GetReferenceMesh( int MHandle , int FrameIndex , int IsTransform ) ;
}
